/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: data_elf.c
   Applix ASC version: 4
   Date: Mon Nov 16 14:25:15 1998
*/
#include <aos.h>
#include <elfapi.h>
#include <elf.h>
#include <revstamp.h>

extern package_info ELF_BIN_sqllib;
extern package_info ELF_BIN_sql;
extern package_info ELF_BIN_sql_dlg;
extern package_info ELF_BIN_sqlobj;
extern package_info ELF_BIN_sql2;
extern package_info ELF_BIN_sql3;
extern package_info ELF_BIN_sqlc;
extern package_info ELF_BIN_sqldata;

static package_info* db_elf_packages[] =
{
 &ELF_BIN_sqllib,
 &ELF_BIN_sql,
 &ELF_BIN_sql_dlg,
 &ELF_BIN_sqlobj,
 &ELF_BIN_sql2,
 &ELF_BIN_sql3,
 &ELF_BIN_sqlc,
 &ELF_BIN_sqldata,
};

static char *ASC_id = ASC_WHAT_STR;     /* Support a 'what' against the exe */

DBElfInstall()
{
	ElfInstallModule(sizeof(db_elf_packages)/sizeof(package_info*),
					 db_elf_packages);
}


