/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: elmapold.c
   Applix ASC version: 7
   Date: Mon May 10 21:15:21 1999
*/

/*
  WARNING!!!

 This is a transitional file only.
 This wrappers old API elf builtins to the new API.
 The goal is to empty (and delete) this file.
 DO NOT add new code here.

*/

#include <stdlib.h>
#include <elbltn.h>
#include <elmapold.p>

extern char  *ElfStrPtrRet;   /* Alis func long string return value */
extern data_ptr ElfRetData;   /* Alis generic function return value */

data_ptr AxfAxFullAbort(data_ptr argDatum) {
	AxFullAbort();
	return(NULL);
}

data_ptr AxfXmPutBusyCursor(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	XmPutBusyCursor(ds0);
	return(NULL);
}

data_ptr AxfElfbArraySize(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbArraySize(dv0)));
}

data_ptr AxfElfbAddProfile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	ElfbAddProfile(ds0,ds1);
	return(NULL);
}

data_ptr AxfElfbCopyFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	ElfbCopyFile(ds0,ds1);
	return(NULL);
}

data_ptr AxfElfbCopyFileToClipboard(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbCopyFileToClipboard(ds0,di0);
	return(NULL);
}

data_ptr AxfElfbCopyClipboardToFile(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbCopyClipboardToFile(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbMenuStatus(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbMenuStatus(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbSys5(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbSys5()));
}

data_ptr AxfElfbMachine(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbMachine()));
}

data_ptr AxfElfbSupportsAudio(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbSupportsAudio()));
}

data_ptr AxfElfbCheckAudioSupport(data_ptr argDatum) {
	int an=0;
	ElfbCheckAudioSupport();
	return(NULL);
}

data_ptr AxfElfbDemoMode(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbDemoMode()));
}

data_ptr AxfElfbNewUser(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbNewUser()));
}

data_ptr AxfElfbCurWindow(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbCurWindow()));
}

data_ptr AxfElfbWinTitle(data_ptr argDatum) {
	int an=0;
	ElfbWinTitle();
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbDelete(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbDelete(ds0);
	return(NULL);
}

data_ptr AxfElfbEditIcon(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbEditIcon(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(NULL);
}

data_ptr AxfElfbColorState(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbColorState()));
}

data_ptr AxfElfbUpdateBitmap(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbUpdateBitmap(ds0);
	return(NULL);
}

data_ptr AxfElfbLoadBitmap(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbLoadBitmap(ds0,dv0);
	return(NULL);
}

data_ptr AxfElfbGetLiveData(data_ptr argDatum) {
	int an=0;
	ElfbGetLiveData();
	return(ElfRetData);
}

data_ptr AxfElfbSendMesToApp(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbSendMesToApp(dv0,dv1,dv2,AX(dv3));
	return(ElfRetData);
}

data_ptr AxfElfbEndLearn(data_ptr argDatum) {
	int an=0;
	ElfbEndLearn();
	return(NULL);
}

data_ptr AxfElfbReAbort(data_ptr argDatum) {
	int an=0;
	ElfbReAbort();
	return(NULL);
}

data_ptr AxfElfbCurLineInfo(data_ptr argDatum) {
	int an=0;
	ElfbCurLineInfo();
	return(ElfRetData);
}

data_ptr AxfElfbExit(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbExit(dv0);
	return(NULL);
}

data_ptr AxfElfbFetchAndRun(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbFetchAndRun(ds0);
	return(NULL);
}

data_ptr AxfElfbDirExists(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbDirExists(ds0)));
}

data_ptr AxfElfbFileWritable(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbFileWritable(ds0);
	return(NULL);
}

data_ptr AxfElfbCompose_String(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	data_ptr dv7 = AxArrayElement(argDatum,an++);
	data_ptr dv8 = AxArrayElement(argDatum,an++);
	data_ptr dv9 = AxArrayElement(argDatum,an++);
	data_ptr dv10 = AxArrayElement(argDatum,an++);
	data_ptr dv11 = AxArrayElement(argDatum,an++);
	data_ptr dv12 = AxArrayElement(argDatum,an++);
	data_ptr dv13 = AxArrayElement(argDatum,an++);
	data_ptr dv14 = AxArrayElement(argDatum,an++);
	data_ptr dv15 = AxArrayElement(argDatum,an++);
	data_ptr dv16 = AxArrayElement(argDatum,an++);
	data_ptr dv17 = AxArrayElement(argDatum,an++);
	data_ptr dv18 = AxArrayElement(argDatum,an++);
	data_ptr dv19 = AxArrayElement(argDatum,an++);
	data_ptr dv20 = AxArrayElement(argDatum,an++);
	ElfbCompose_String(ds0,dv0,dv1,dv2,dv3,dv4,dv5,dv6,dv7,dv8,dv9,dv10,dv11,dv12,dv13,dv14,dv15,dv16,dv17,dv18,dv19,dv20);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}


data_ptr AxfElfbGetKeyName(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbGetKeyName(di0);
	return(NULL);
}

data_ptr AxfElfbListPackages(data_ptr argDatum) {
	int an=0;
	ElfbListPackages();
	return(ElfRetData);
}

data_ptr AxfElfbGEQuietCreate(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbGEQuietCreate(ds0,di0)));
}

data_ptr AxfElfbImageFromGE(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	ElfbImageFromGE(ds0,ds1);
	return(NULL);
}

data_ptr AxfElfbGEQuietOpen(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbGEQuietOpen(ds0,di0);
	return(NULL);
}

data_ptr AxfElfbHelpAvailable(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbHelpAvailable(ds0)));
}

data_ptr AxfElfbSetXKey(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbSetXKey(ds0,dv0);
	return(NULL);
}

data_ptr AxfElfbDBList(data_ptr argDatum) {
	int an=0;
	ElfbDBList();
	return(ElfRetData);
}

data_ptr AxfElfbGetXKeys(data_ptr argDatum) {
	int an=0;
	ElfbGetXKeys();
	return(ElfRetData);
}

data_ptr AxfElfbDoneInit(data_ptr argDatum) {
	int an=0;
	ElfbDoneInit();
	return(NULL);
}

data_ptr AxfElfbIsArray(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsArray(dv0)));
}

data_ptr AxfElfbIsNull(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsNull(dv0)));
}

data_ptr AxfElfbIsNumber(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsNumber(dv0)));
}

data_ptr AxfElfbIsString(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsString(dv0)));
}

data_ptr AxfElfbKillTask(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbKillTask(di0);
	return(NULL);
}

data_ptr AxfDlgLiftCursor(data_ptr argDatum) {
	int an=0;
	DlgLiftCursor();
	return(NULL);
}

data_ptr AxfElfbWindowList(data_ptr argDatum) {
	ElfbWindowList();
	return(ElfRetData);
}

data_ptr AxfElfbInstall(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbInstall(ds0)));
}

data_ptr AxfElfbInstallBinary(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbInstallBinary(dv0,di0);
	return(NULL);
}

data_ptr AxfElfbSetTaskMaster(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbSetTaskMaster(di0)));
}

data_ptr AxfElfbMapCursor(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbMapCursor(di0,ds0);
	return(NULL);
}

data_ptr AxfElfbMiniDemo(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbMiniDemo()));
}

data_ptr AxfElfbProc(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbProc(di0,ds0)));
}

data_ptr AxfElfbPick(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	int di2 = AxIntFromArray(argDatum,an++);
	int di3 = AxIntFromArray(argDatum,an++);
	int di4 = AxIntFromArray(argDatum,an++);
	int di5 = AxIntFromArray(argDatum,an++);
	int di6 = AxIntFromArray(argDatum,an++);
	int di7 = AxIntFromArray(argDatum,an++);
	ElfbPick(di0,di1,di2,di3,di4,di5,di6,di7);
	return(NULL);
}

data_ptr AxfElfbPokeDialogs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbPokeDialogs(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbPromoteDlg(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbPromoteDlg(ds0,di0,di1)));
}

data_ptr AxfElfbPromotedDlgID(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbPromotedDlgID(ds0,di0,di1);
	return(ElfRetData);
}

data_ptr AxfElfbIsQAmode(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbIsQAmode()));
}

data_ptr AxfElfbReadFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbReadFile(ds0);
	return(ElfRetData);
}

data_ptr AxfElfbReadDataFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbReadDataFile(ds0);
	return(ElfRetData);
}

data_ptr AxfElfbMkWinActive(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbMkWinActive(di0,di1);
	return(NULL);
}

data_ptr AxfElfbFreeRun(data_ptr argDatum) {
	ElfbFreeRun();
	return(NULL);
}

data_ptr AxfElfbSetHelpMode(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbSetHelpMode(di0);
	return(NULL);
}

data_ptr AxfElfbSetLiveMode(data_ptr argDatum) {
	ElfbSetLiveMode();
	return(NULL);
}

data_ptr AxfElfbRunMode(data_ptr argDatum) {
	ElfbRunMode();
	return(NULL);
}

data_ptr AxfElfbSetSysVar(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbSetSysVar(ds0,dv0);
	return(NULL);
}

data_ptr AxfElfbWidgetProfile(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	int di2 = AxIntFromArray(argDatum,an++);
	int di3 = AxIntFromArray(argDatum,an++);
	int di4 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds2 = AxStrFromArray(argDatum,an++);
	int di5 = AxIntFromArray(argDatum,an++);
	int di6 = AxIntFromArray(argDatum,an++);
	char *ds3 = AxStrFromArray(argDatum,an++);
	int di7 = AxIntFromArray(argDatum,an++);
	int di8 = AxIntFromArray(argDatum,an++);
	ElfbWidgetProfile(di0,di1,di2,di3,di4,ds0,ds2,di5,di6,ds3,di7,di8);
	return(NULL);
}

data_ptr AxfWidgetColorsFromProfile(data_ptr argDatum) {
	int an=0;
	WidgetColorsFromProfile();
	return(NULL);
}

data_ptr AxfElfbStartLearn(data_ptr argDatum) {
	int an=0;
	ElfbStartLearn();
	return(NULL);
}

data_ptr AxfElfbStatusMessage(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbStatusMessage(ds0);
	return(NULL);
}

data_ptr AxfElfbStroke(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	int di2 = AxIntFromArray(argDatum,an++);
	int di3 = AxIntFromArray(argDatum,an++);
	int di4 = AxIntFromArray(argDatum,an++);
	int di5 = AxIntFromArray(argDatum,an++);
	int di6 = AxIntFromArray(argDatum,an++);
	int di7 = AxIntFromArray(argDatum,an++);
	ElfbStroke(di0,di1,di2,di3,di4,di5,di6,di7);
	return(NULL);
}

data_ptr AxfElfbGetSysVar(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbGetSysVar(ds0);
	return(ElfRetData);
}

data_ptr AxfElfbTextDictAddWord(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds2 = AxStrFromArray(argDatum,an++);
	ElfbTextDictAddWord(ds0,ds1,di0,ds2);
	return(NULL);
}

data_ptr AxfElfbTextDictGetWords(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	int di2 = AxIntFromArray(argDatum,an++);
	ElfbTextDictGetWords(di0,ds0,di1,di2);
	return(ElfRetData);
}

data_ptr AxfElfbTextDictRemoveWord(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds2 = AxStrFromArray(argDatum,an++);
	ElfbTextDictRemoveWord(ds0,ds1,di0,ds2);
	return(NULL);
}

data_ptr AxfElfbTextDictCanAdd(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbTextDictCanAdd()));
}

data_ptr AxfElfbTextDictClose(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbTextDictClose(ds0);
	return(NULL);
}

data_ptr AxfElfbTextDictCreate(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbTextDictCreate(di0,ds0);
	return(NULL);
}

data_ptr AxfElfbTextGetLanguageCode(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbTextGetLanguageCode(ds0)));
}

data_ptr AxfElfbTextGetLanguageName(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbTextGetLanguageName(di0);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbTextHyphenate(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	int di2 = AxIntFromArray(argDatum,an++);
	ElfbTextHyphenate(ds0,di0,(char**)dv0,di1,di2);
	return(ElfRetData);
}

data_ptr AxfElfbTextSpelledCorrectly(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbTextSpelledCorrectly(ds0,di0,(char**)dv0)));/* BOGUS CAST!!! */
}

data_ptr AxfElfbTextSpellerClose(data_ptr argDatum) {
	int an=0;
	ElfbTextSpellerClose();
	return(NULL);
}

data_ptr AxfElfbTextSpellerCurrLanguage(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbTextSpellerCurrLanguage()));
}

data_ptr AxfElfbTextSpellerHyphenationOK(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbTextSpellerHyphenationOK(di0)));
}

data_ptr AxfElfbTextSpellerLanguageOK(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbTextSpellerLanguageOK(di0)));
}

data_ptr AxfElfbTextSpellerThesaurusOK(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbTextSpellerThesaurusOK(di0)));
}

data_ptr AxfElfbTextSpellingAlternatives(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbTextSpellingAlternatives(ds0,di0,(char**)dv0,di1);/* BOGUS CAST!!! */
	return(ElfRetData);
}

data_ptr AxfElfbTextSpellingErrors(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbTextSpellingErrors(ds0,di0,di1,(char**)dv0,(int*)dv1);/* BOGUS CAST!!! */
	return(ElfRetData);
}

data_ptr AxfElfbTextSpellingInfo(data_ptr argDatum) {
	ElfbTextSpellingInfo();
	return(ElfRetData);
}

data_ptr AxfElfbTextThesaurus(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbTextThesaurus(ds0,di0);
	return(ElfRetData);
}

data_ptr AxfElfbTextThesaurusClose(data_ptr argDatum) {
	int an=0;
	ElfbTextThesaurusClose();
	return(NULL);
}

data_ptr AxfElfbTextThesaurusInfo(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbTextThesaurusInfo(di0);
	return(ElfRetData);
}

data_ptr AxfElfbImportAscii(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbImportAscii(ds0);
	return(NULL);
}

data_ptr AxfElfbImportSS(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbImportSS(ds0);
	return(NULL);
}

data_ptr AxfElfbIsEntry(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsEntry(dv0)));
}

data_ptr AxfDumpElfSymNames(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	DumpElfSymNames(dv0);
	return(NULL);
}

data_ptr AxfElfbTest(data_ptr argDatum) {
	ElfbTest();
	return(NULL);
}

data_ptr AxfElfValidName(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfValidName(ds0)));
}

data_ptr AxfElfbWindowInfo(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbWindowInfo(di0);
	return(ElfRetData);
}

data_ptr AxfElfbWriteDataFile(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbWriteDataFile(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbCreateChangeWidget(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbCreateChangeWidget(dv0,dv1,dv2,dv3);
	return(ElfRetData);
}

data_ptr AxfElfbGetActiveWidgetFromElf(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbGetActiveWidgetFromElf(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbCreateChoiceMenu(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbCreateChoiceMenu(dv0,dv1,dv2);
	return(ElfRetData);
}

data_ptr AxfElfbCreateDialog(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbCreateDialog(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbDefaultButtons(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbDefaultButtons(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbDestroyWidget(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbDestroyWidget(dv0);
	return(NULL);
}

data_ptr AxfElfbDelEditBoxData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbDelEditBoxData(dv0);
	return(NULL);
}

data_ptr AxfElfbGetEditBoxData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbGetEditBoxData(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbGetEditBoxSelectedRegion(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbGetEditBoxSelectedRegion(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbMarkEditBoxRegion(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbMarkEditBoxRegion(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(NULL);
}

data_ptr AxfElfbInsEditBoxData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbInsEditBoxData(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbEditBoxEdited(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbEditBoxEdited(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbCutEditBoxSeln(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbCutEditBoxSeln(dv0);
	return(NULL);
}

data_ptr AxfElfbCopyEditBoxSeln(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbCopyEditBoxSeln(dv0);
	return(NULL);
}

data_ptr AxfElfbPasteEditBoxSeln(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbPasteEditBoxSeln(dv0);
	return(NULL);
}

data_ptr AxfAxXmEditBoxResetEdited(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	AxXmEditBoxResetEdited(dv0);
	return(NULL);
}

data_ptr AxfElfbEntryFieldCreate(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbEntryFieldCreate(dv0,dv1,dv2,dv3);
	return(ElfRetData);
}

data_ptr AxfElfbEntryValue(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbEntryValue(dv0);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbFixupQuirks(data_ptr argDatum) {
	ElfbFixupQuirks();
	return(NULL);
}

data_ptr AxfElfbDialogDestroy(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbDialogDestroy(dv0);
	return(NULL);
}

data_ptr AxfElfbCreateDlgMenuBar(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	ElfbCreateDlgMenuBar(dv0,dv1,dv2,dv3,dv4);
	return(ElfRetData);
}

data_ptr AxfElfbUpdateDialog(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbUpdateDialog(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbUpdateDialogSize(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbUpdateDialogSize(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbRadioBoxCreate(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbRadioBoxCreate(dv0,dv1,dv2);
	return(ElfRetData);
}

data_ptr AxfElfbRebuildDialog(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbRebuildDialog(dv0);
	return(NULL);
}

data_ptr AxfElfbSetActiveWidget(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbSetActiveWidget(dv0,di0);
	return(NULL);
}

data_ptr AxfElfbShowDialog(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbShowDialog(dv0);
	return(NULL);
}

data_ptr AxfElfbTableData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbTableData(dv0,dv1,dv2,dv3);
	return(NULL);
}

data_ptr AxfElfbTableNewData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbTableNewData(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbGetTableData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbGetTableData(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbSetTableSelections(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbSetTableSelections(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbClearTableData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbClearTableData(dv0,dv1,dv2,dv3);
	return(NULL);
}

data_ptr AxfElfbGetTableSelections(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbGetTableSelections(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbAllowTableEditing(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbAllowTableEditing(dv0,di0);
	return(NULL);
}

data_ptr AxfElfbDataRequestModel(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbDataRequestModel(dv0,di0);
	return(NULL);
}

data_ptr AxfElfbMenuCallback(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbMenuCallback(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbXferSafe(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbXferSafe()));
}

data_ptr AxfElfRecord(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	char *ds2 = AxStrFromArray(argDatum,an++);
	char *ds3 = AxStrFromArray(argDatum,an++);
	char *ds4 = AxStrFromArray(argDatum,an++);
	char *ds5 = AxStrFromArray(argDatum,an++);
	char *ds6 = AxStrFromArray(argDatum,an++);
	char *ds7 = AxStrFromArray(argDatum,an++);
	ElfRecord(di0,ds0,ds1,di1,ds2,ds3,ds4,ds5,ds6,ds7);
	return(NULL);
}

data_ptr AxfAxRePaintAll(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	AxRePaintAll(di0);
	return(NULL);
}

data_ptr AxfElfbIsBinary(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsBinary(dv0)));
}

data_ptr AxfElfbBinarySize(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbBinarySize(dv0)));
}

data_ptr AxfElfbWriteBinaryFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbWriteBinaryFile(ds0,dv0);
	return(NULL);
}

data_ptr AxfElfbDecomposeFile(data_ptr argDatum) {
	ElfbDecomposeFile();
	return(NULL);
}

data_ptr AxfElfbServer(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbServer(dv0,dv1,dv2)));
}

data_ptr AxfElfbClient(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbClient(dv0,dv1,dv2)));
}

data_ptr AxfElfbSockRead(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbSockRead(di0,di1);
	return(ElfRetData);
}

data_ptr AxfElfbSockRPCRead(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbSockRPCRead(di0,di1);
	return(ElfRetData);
}

data_ptr AxfElfbSockWrite(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbSockWrite(di0,dv0)));
}

data_ptr AxfElfbSockRPCWrite(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbSockRPCWrite(di0,di1,dv0)));
}

data_ptr AxfElfbSockReadBinary(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	int di2 = AxIntFromArray(argDatum,an++);
	int di3 = AxIntFromArray(argDatum,an++);
	ElfbSockReadBinary(di0,di1,di2,di3);
	return(ElfRetData);
}

data_ptr AxfElfbSockWriteBinary(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbSockWriteBinary(di0,dv0);
	return(NULL);
}

data_ptr AxfElfbRPCAccept(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbRPCAccept(di0)));
}

data_ptr AxfElfbRPCRespond(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbRPCRespond(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbRPCErrRespond(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbRPCErrRespond(dv0,dv1,dv2,dv3);
	return(NULL);
}

data_ptr AxfElfbSockClose(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbSockClose(ds0);
	return(NULL);
}

data_ptr AxfElfbChanClose(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbChanClose(di0);
	return(NULL);
}

data_ptr AxfElfbOpenMail(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbOpenMail(ds0);
	return(NULL);
}

data_ptr AxfElfbIsLikeAscii(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbIsLikeAscii(ds0)));
}

data_ptr AxfAxLockResource(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	AxLockResource(ds0,di0);
	return(NULL);
}

data_ptr AxfAxUnlockResource(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	AxUnlockResource(ds0,di0);
	return(NULL);
}

data_ptr AxfElfbHasUnreadMail(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbHasUnreadMail(ds0)));
}

data_ptr AxfElfbFormatMailItem(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbFormatMailItem(dv0,di0,di1);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbMkRandKey(data_ptr argDatum) {
	int an=0;
	ElfbMkRandKey();
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbEncryptString(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	ElfbEncryptString(ds0,ds1);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbAudio(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbAudio(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbLocalizeSS(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	char *ds1 = AxStrFromArray(argDatum,an++);
	ElfbLocalizeSS(ds0,ds1);
	return(NULL);
}

data_ptr AxfXmNewStarMenu(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	XmNewStarMenu(di0);
	return(NULL);
}

data_ptr AxfTmToggleToolBar(data_ptr argDatum) {
	int an=0;
	TmToggleToolBar();
	return(NULL);
}

data_ptr AxfElfbToggleToolBar(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbToggleToolBar(dv0);
	return(NULL);
}

data_ptr AxfElfbToolBarStatus(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbToolBarStatus(dv0)));
}

data_ptr AxfElfbRecognizeFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbRecognizeFile(ds0);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfRingTheBell(data_ptr argDatum) {
	int an=0;
	RingTheBell();
	return(NULL);
}

data_ptr AxfElfbNewMailCount(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbNewMailCount(ds0)));
}

data_ptr AxfElfbFetchRefs(data_ptr argDatum) {
	ElfbFetchRefs();
	return(ElfRetData);
}

data_ptr AxfElfbPrivateMenuBar(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbPrivateMenuBar(di0);
	return(NULL);
}

data_ptr AxfElfbGetInKS(data_ptr argDatum) {
	int an=0;
	ElfbGetInKS();
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbPutToKS(data_ptr argDatum) {
	ElfbPutToKS();
	return(NULL);
}

data_ptr AxfElfbSetSelection(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbSetSelection(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbGetSelection(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbGetSelection(dv0,dv1,dv2);
	return(ElfRetData);
}

data_ptr AxfElfbXwinOfWin(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbXwinOfWin(di0);
	return(ElfRetData);
}

data_ptr AxfElfbSelByXId(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	int di1 = AxIntFromArray(argDatum,an++);
	ElfbSelByXId((long)di0,di1);
	return(ElfRetData);
}

data_ptr AxfElfbGetFontFamilies(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbGetFontFamilies(di0);
	return(ElfRetData);
}

data_ptr AxfAxTimer(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	AxTimer(di0);
	return(ElfRetData);
}

data_ptr AxfElfbSendElfData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbSendElfData(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbSendAndAckElfData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbSendAndAckElfData(dv0,dv1,dv2);
	return(ElfRetData);
}

data_ptr AxfElfbRespondElf(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbRespondElf(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbRespondElfErr(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbRespondElfErr(dv0,dv1,dv2,dv3);
	return(NULL);
}

data_ptr AxfElfbWaitForMessage(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbWaitForMessage(di0);
	return(ElfRetData);
}

data_ptr AxfElfbWpCall(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbWpCall(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbGetPrinterTypes(data_ptr argDatum) {
	int an=0;
	ElfbGetPrinterTypes();
	return(ElfRetData);
}

data_ptr AxfElfbDEloadNewGadget(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbDEloadNewGadget(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbDEeditWidget(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbDEeditWidget(dv0,dv1);
	return(NULL);
}

data_ptr AxfElfbDEeditSession(data_ptr argDatum) {
	int an=0;
	data_ptr di0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	/*
	 * Two args are extracted from data_ptr, but the first arg is an integer
	 * and this is not used, so pass in a 0 
	 */
	ElfbDEeditSession(0,dv1);
	return(NULL);
}

/******************************************************************************
 * Function: AxfElfbDEreadData
 */
data_ptr AxfElfbDEreadData(data_ptr argDatum) {
	int an=0;
	data_ptr di0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);


	/*
	 * Two args are extracted from data_ptr, but the first arg is an integer
	 * and this is not used, so pass in a 0 
	 */

	ElfbDEreadData(0,dv1);
	return(ElfRetData);
}

data_ptr AxfElfbCreateObject(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbCreateObject(dv0,dv1,dv2);
	return(ElfRetData);
}

data_ptr AxfElfbObjCrtQueryMethod(data_ptr argDatum) {
	ElfbObjCrtQueryMethod();
	return(NULL);
}

data_ptr AxfElfbObjCrtChangeMethod(data_ptr argDatum) {
	ElfbObjCrtChangeMethod();
	return(NULL);
}

data_ptr AxfElfbObjCrtLocalData(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbObjCrtLocalData(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbObjLoadImage(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbObjLoadImage(dv0,dv1,dv2);
	return(NULL);
}

data_ptr AxfElfbObjInfo(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	ElfbObjInfo(dv0,dv1,dv2,dv3,dv4);
	return(ElfRetData);
}

data_ptr AxfElfbIsObject(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbIsObject(dv0)));
}

data_ptr AxfElfbObjectExists(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbObjectExists(dv0)));
}

data_ptr AxfElfbDataType(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	return(MK_INTEGER(ElfbDataType(dv0)));
}

data_ptr AxfElfbPrintf(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbPrintf(ds0);
	return(NULL);
}

data_ptr AxfElfbWriteAppFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbWriteAppFile(ds0,dv0);
	return(NULL);
}

data_ptr AxfElfbReadAppFile(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbReadAppFile(ds0);
	return(ElfRetData);
}

data_ptr AxfElfbFuncsInObject(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbFuncsInObject(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbDraw(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	ElfbDraw(dv0,dv1,dv2,dv3,dv4);
	return(ElfRetData);
}

data_ptr AxfElfbDebugFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbDebugFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbTblFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbTblFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbEnterFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbEnterFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbGetMaxFileLength(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbGetMaxFileLength(ds0)));
}

data_ptr AxfElfbIsFileOpen(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbIsFileOpen(ds0)));
}

data_ptr AxfElfbGetDpyWid(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbGetDpyWid()));
}

data_ptr AxfElfbGetDpyHt(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbGetDpyHt()));
}

data_ptr AxfElfbProfiler(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbProfiler(ds0,di0);
	return(NULL);
}

data_ptr AxfElfbGetXLFD(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	ElfbGetXLFD(dv0,dv1,dv2,dv3);
	return(ElfRetData);
}

data_ptr AxfElfbTrayFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbTrayFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbTreeFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbTreeFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbGetDlgFontHeight(data_ptr argDatum) {
	int an=0;
	return(MK_INTEGER(ElfbGetDlgFontHeight()));
}

data_ptr AxfElfbListImages(data_ptr argDatum) {
	ElfbListImages();
	return(ElfRetData);
}

data_ptr AxfElfbTextDictLanguage(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbTextDictLanguage(ds0)));
}

data_ptr AxfElfbAddressParse(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbAddressParse(ds0);
	return(ElfRetData);
}

data_ptr AxfElfbGadgetSizesFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbGadgetSizesFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbTextSize(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbTextSize(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbListScreenfonts(data_ptr argDatum) {
	ElfbListScreenfonts();
	return(ElfRetData);
}

data_ptr AxfElfbDEscaleDialog(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbDEscaleDialog(dv0);
	return(ElfRetData);
}

data_ptr AxfElfbReplaceSpace(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbReplaceSpace(ds0);
	{
		data_ptr retval = AxMakeStrData(-1,ElfStrPtrRet);
		TaskFree(THIMpid,ElfStrPtrRet);
		return(retval);
	}
}

data_ptr AxfElfbDeleteMessages(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	ElfbDeleteMessages(dv0,dv1);
	return(ElfRetData);
}

data_ptr AxfElfbGraphicFuncs(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbGraphicFuncs(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbMailBltins(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	ElfbMailBltins(dv0,dv1,dv2,dv3,dv4);
	return(ElfRetData);
}

data_ptr AxfElfbDestroyGraphic(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbDestroyGraphic(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbAssignGraphic(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbAssignGraphic(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbCreateGraphic(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbCreateGraphic(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbReadGraphicBuffer(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbReadGraphicBuffer(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbReadGraphicFile(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbReadGraphicFile(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbPaintInsetObject(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbPaintInsetObject(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbMapDefaultCursor(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	char *ds0 = AxStrFromArray(argDatum,an++);
	ElfbMapDefaultCursor(di0,ds0);
	return(NULL);
}

data_ptr AxfElfbMapiFuncs(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	ElfbMapiFuncs(di0,dv0);
	return(ElfRetData);
}

data_ptr AxfElfbLoadGraphic(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbLoadGraphic(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbWriteGraphicBuffer(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbWriteGraphicBuffer(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbWriteGraphicFile(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbWriteGraphicFile(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbGetGraphic(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbGetGraphic(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbPromoteWindow(data_ptr argDatum) {
	int an=0;
	int di0 = AxIntFromArray(argDatum,an++);
	ElfbPromoteWindow(di0);
	return(NULL);
}

data_ptr AxfElfbIsFileLocked(data_ptr argDatum) {
	int an=0;
	char *ds0 = AxStrFromArray(argDatum,an++);
	return(MK_INTEGER(ElfbIsFileLocked(ds0)));
}

data_ptr AxfElfbReadRasterInfo(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbReadRasterInfo(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbReadCustomCursors(data_ptr argDatum) {
	int an=0;
	ElfbReadCustomCursors();
	return(NULL);
}

data_ptr AxfElfbCreateWpInstance(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbCreateWpInstance(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbDestroyWpInstance(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbDestroyWpInstance(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbAssignWpInstance(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbAssignWpInstance(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbLoadWpInstance(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbLoadWpInstance(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbGetWpInstance(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbGetWpInstance(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbReadWpInstanceBuffer(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbReadWpInstanceBuffer(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbWriteWpInstanceBuffer(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbWriteWpInstanceBuffer(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbReadWpInstanceFile(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbReadWpInstanceFile(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbWriteWpInstanceFile(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbWriteWpInstanceFile(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbWpxCall(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	ElfbWpxCall(dv0,dv1,dv2);
	return(ElfRetData);
}

data_ptr AxfElfbCreateInsetObject(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbCreateInsetObject(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbCreateBuilder(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbCreateBuilder(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbAddIconInsetObject(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbAddIconInsetObject(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbCreateInsetImage(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbCreateInsetImage(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfElfbDestroyInsetImage(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	ElfbDestroyInsetImage(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

data_ptr AxfAxfMClientBltins(data_ptr argDatum) {
	int an=0;
	data_ptr dv0 = AxArrayElement(argDatum,an++);
	data_ptr dv1 = AxArrayElement(argDatum,an++);
	data_ptr dv2 = AxArrayElement(argDatum,an++);
	data_ptr dv3 = AxArrayElement(argDatum,an++);
	data_ptr dv4 = AxArrayElement(argDatum,an++);
	data_ptr dv5 = AxArrayElement(argDatum,an++);
	data_ptr dv6 = AxArrayElement(argDatum,an++);
	AxfMClientBltins(dv0,dv1,dv2,dv3,dv4,dv5,dv6);
	return(ElfRetData);
}

