/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: undo.h
   Applix ASC version: 10
   Date: Mon Nov 16 13:56:03 1998
*/
#define UD_NONE          0

/* changes to things in paint list */
#define UD_APPEND        1
#define UD_INSERT        2
#define UD_DELETE        3
#define UD_DATA          4
#define UD_ATTR          5
#define UD_GROUP         6
#define UD_UNGROUP       7
#define UD_HIDE          8
#define UD_REVEAL        9
#define UD_MOVE         10

/* changes to things in parts list */
#define UD_PART_INSERT  11
#define UD_PART_DELETE  12
#define UD_PART_MODIFY  13
#define UD_PART_MOVE    14

/* changes to layers */
#define UD_LAYER_INSERT 15
#define UD_LAYER_DELETE 16
#define UD_LAYER_MODIFY 17

/* changes to charts */
#define UD_CHART_INSERT 18
#define UD_CHART_DELETE 19
#define UD_CHART_MODIFY 20

/* changes to colormaps */
#define UD_CMAP_MODIFY  21

/* changes to headers and footers */
#define UD_HDRFTR       22

/* changes to print setup */
#define UD_PRINT_SETUP  23

/* undo/redo text in path */
#define UD_UNDO_TEXT_IN_PATH  24
#define UD_REDO_TEXT_IN_PATH  25

/* changes to combine/uncombine */
#define UD_COMBINE      26
#define UD_UNCOMBINE    27

/* changes to custom fills */
#define UD_FILL_INSERT  28
#define UD_FILL_DELETE  29
#define UD_FILL_MODIFY  30

/* changes to page list */
#define UD_PAGE_APPEND  31
#define UD_PAGE_INSERT  32
#define UD_PAGE_DELETE  33

/* changes to page layout */
#define UD_PAGE_LAYOUT  34

/* changes to template */
#define UD_TEMPLATE     35
