/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: pargmod.h
   Applix ASC version: 3
   Date: Sat Jan 23 21:14:20 1999
*/

/* message formats for miscellaneous functions */

/* TmGMode */

	struct SGModeData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;

		short graphics_on;
		TmRect grect;
	};


/* TmRelease */

	struct SrlsData
	{
		char filler1[IPC_HEAD_LEN];
		short event_indicator;
	};

	struct RrlsData
	{
		char filler1[IPC_HEAD_LEN];
		short status;
	};

/* TmRestore */

	struct SrstData
	{
		char filler1[IPC_HEAD_LEN];
		short event_indicator;
	};


/* TmRecord */

	struct SrecData
	{
		char filler1[IPC_HEAD_LEN];
		short event_indicator;
		short window_id;
		short onOff;
	};			/* pathname follows */

	struct RrecData
	{
		char filler1[IPC_HEAD_LEN];
		short status;
	};


/* TmReplay */

	struct SrplData
	{
		char filler1[IPC_HEAD_LEN];
		short event_indicator;
		short window_id;
	};			/* pathname follows */

	struct RrplData
	{
		char filler1[IPC_HEAD_LEN];
		short status;
	};

/* TmOpATM */

	struct SopenData
	{
		char filler1[IPC_HEAD_LEN];
		short event_indicator;
		short version;			/* version number of runtime */
	};

/* TmPage */

	struct SPageData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;

		short page_category;
	};


