/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: parout.h
   Applix ASC version: 3
   Date: Sat Jan 23 21:14:20 1999
*/

/* TmFieldWrite */

	struct oSFieldWriteData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		short window_id;
		struct TmOFWpacket fwPacket;
		short attrSlen; /* lenght of attr_string in no of chars */
		TmTextDescriptor dummy;	/* for boundary alignment only */
	};

	struct SFieldWriteData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		short window_id;
		struct TmFWpacket fwPacket;
		short attrSlen; /* lenght of attr_string in no of chars */
		TmTextDescriptor dummy;	/* for boundary alignment only */
	};

/* TmWriteTx */

	struct SWriteTxData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		short window_id;
		short x_position;
		short y_position;
		short absrel;
		short byte_count;
		short attrSlen;
	};

/* TmScroll */

	struct SScrollData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		short window_id;
		short x_sc_origin;
		short y_sc_origin;
		short x_sc_len;
		short y_sc_len;
		short dx;
		short dy;
		short movebars;
	};

	struct RScrollData
	{
		char filler1[IPC_HEAD_LEN];

		short status;
	};

/* TmPolymarker */

	struct SPMarkData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];
		
		short window_id;
		short point_count;
		short absrel;
	};

/* TmPolyline */

	struct SPLineData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		short window_id;
		struct TmGraphFlags flags;
		short point_count;
		short fill_pat;
	};

/* TmArc */

	struct SArcData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		short window_id;
		struct TmGraphFlags flags;
		TmRect32 bound_box;
		short start_angle;
		short arc_angle;
		short fill_pat;
	};

/* TmBblt */

	struct SBbltData
	{
		char filler1[IPC_HEAD_LEN];

		short event_indicator;
		short pack_len;
		char filler[4];

		struct TmBbltStruct bblt_pack;
	};

/* TmBeep */

	struct SbeepData
	{
		char filler[IPC_HEAD_LEN];

		short event_indicator;	/* must be in this position */
	};
