/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: wide_extern.h
   Applix ASC version: 2
   Date: Mon Nov 16 13:53:48 1998
*/
#ifndef WIDE_EXTERN_H
#define WIDE_EXTERN_H

#ifdef __cplusplus
#include <basicwin.h>
#include <xim.h>

extern "C" {
    int MbToWStr( mbchar *in_str, wchar *out_str );
    int IsNarrowKanaFontFace( mbchar *name );
    mbchar *get_default_narrow_kana_face();
    int IsSimpleWideFontFace( char *face_name );
    void GetWideFontFromSize( FontSet font_set );
    int getXFontStruct();
    void GetNarrowKanaFontFromSize( FontSet font_set );
    void GetNarrowFontFromSize( FontSet font_set );
    int getXFontAttr();
    int IsOKtoBreakOriental( int char1, int char2 );
    mbchar  *sansserif_narrow_kana_face();
    mbchar  *serif_narrow_kana_face();
    mbchar  *sansserif_orient_face();
    mbchar  *serif_orient_face();
    mbchar *get_default_orient_face();
    int ascii_is_shift_jis();
    FontSet FindFontSet();
    }
#endif


#endif FTRDEF_H
