/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: xmdefs.h
   Applix ASC version: 17
   Date: Mon Nov 16 13:53:46 1998
*/
#ifndef AX_XM_INCL
#define AX_XM_INCL


#include <ax_xm.h>

enum {
	XXmNzane,
	XXmNoldWidget,
	XXmNflags,
	XXmNwidth,
	XXmNheight,
	XXmNautoUnmanage,
	XXmNdialogStyle,
	XXmNx,
	XXmNy,
	XXmNdefaultPosition,
	XXmNset,
	XXmNdefaultButton,
	XXmNactivateCallback,
	XXmNcancelCallback,
	XXmNvalueChangedCallback,
	XXmNentryCallback,
	XXmNsingleSelectionCallback,
	XXmNdefaultActionCallback,
	XXmNextendedSelectionCallback,
	XXmNincrementCallback,
	XXmNdecrementCallback,
	XXmNpageIncrementCallback,
	XXmNpageDecrementCallback,
	XXmNbrowseSelectionCallback,
	XXmNokCallback,
	XXmNmenuHistory,
	XXmNbackground,
	XXmNforeground,
	XXmNmenuBar,
	XXmNworkWindow,
	XXmNhorizontalScrollBar,
	XXmNverticalScrollBar,
	XXmNsliderSize,
	XXmNvalue,
	XXmNmaximum,
	XXmNorientation,
	XXmNmessageString,
	XXmNitemCount,
	XXmNitems,
	XXmNvisibleItemCount,
	XXmNcolumns,
	XXmNmaxLength,
	XXmNselectedItems,
	XXmNdoubleClickInterval,
	XXmNselectedItemCount,
	XXmNmultipleSelectionCallback,
	XXmNIconId,
	XXmNlabelPixmap,
	XXmNcancelButton,
	XXmNpalette,
	XXmNelfAccess,
	XXmNmonospaceFont,
	XXmNborderWidth,
	XXmNnoArmHighlight,
	XXmNuse2d,
	XXmNnotTransient,
	XXmNruler,
	XXmNsmallFont,
	XXmCArmCallback,
	XXmNthickness,
	XXmNmenuHelpWidget,
	XXmNdebugger,
	XXmNalternatePixmap,
	XXmNno_picks,
	XXmNminWidth,
	XXmNminHeight,
	XXmNbuttonType,
	XXmNwhichButton,
	XXmNtextOptions,
	XXmNgePaletteButtonType,
	XXmNpokeCodes,
	XXmNrevstamp,
	XXmNresize,
	XXmNmaxWidth,
	XXmNmaxHeight,
	XXmNlistHScroll,
	XXmNfg_color,
	XXmNbg_color,
	XXmNhideListVScroll,
	XXmNaxFont,
	XXmNupdate,
	XXmNdisableElfRecord,
	XXmNnoExpand,
	XXmNhelpStr,
	XXmNuseWorkColors,
	XXmNminValue,
	XXmNmaxValue,
	XXmNno_label,
	XXmNforce_list_item_display,
	XXmNcolorpal,
	XXmNpixmap,
	XXmNxruler,
	XXmNyruler,
	XXmNno_echo,
	XXmNcompositeLinkUp,
	XXmNcompositeLinkDown,
	XXmNmeasureWtext,
	XXmNeventHandlers,
	XXmNinEdit,
	XXmNstyle,
	XXmNbtnPixmapList,
	XXmNpfg_color,
	XXmNpbg_color,
	XXmNpixmask,
	XXMKanjiStyle,
	XXmNelfObject,
	XXmNcurPos,
	XXmNminorEventNotify,
	XXmNmarkerWidth,
	XXmNallowHiddenColumns,
	XXmNallowColumnResizing,
	XXmNsuppressRowMarkers,
	XXmNallowColumnReordering,
	XXmNuseDataRequestModel,
	XXmNalisStyleScroll,
	XXmNhideVerticalGrid,
	XXmNhideHorizontalGrid,
	XXmNvscrollOrigin,
	XXmNvscrollLength,
	XXmNhscrollOrigin,
	XXmNhscrollLength,
	XXmNshowRowNumbers,
	XXmNbuttonUpScroll,
	XXmNnoPrimarySeln,
	XXmNplates,
	XXmNsubMenuId,
	XXmNlabelString,
	XXmNlistSizePolicy,
	XXmNscrollBarDisplayPolicy,
	XXmNautomaticSelection,
	XXmNunitType,
	XXmNnoResize,
	XXmNresizePolicy,
	XXmNspacing,
	XXmNresizeHeight,
	XXmNresizeWidth,
    XXmNreferenceFont,
	XXmNshadow,
	XXmNbackgroundImage,
	XXmNtextShadow,
	XXmNtextColor,
	XXmNwidgetColor,
	XXmNgraphic,
	XXmNrminfo,
	XXmNtopmostwindow,
	XXmNlabelFont,
	XXmNlabelColor,
	XXmNlabelShadow,
	XXmNRowColCreate,
	XXmNDefaultCursor,
	XXmNtablayers,
	XXmNactiveTablayer,
	XXmNuid,
	XXmNedit_mask,
	XXmNaccelerator_key
};


#define AXmNzane XXmNzane
#define XmNoldWidget XXmNoldWidget
#define XmNflags XXmNflags
#define XmNwidth XXmNwidth
#define XmNheight XXmNheight
#define XmNautoUnmanage XXmNautoUnmanage
#define XmNdialogStyle XXmNdialogStyle
#define XmNx XXmNx
#define XmNy XXmNy
#define XmNdefaultPosition XXmNdefaultPosition
#define XmNset XXmNset
#define XmNdefaultButton XXmNdefaultButton
#define XmNactivateCallback XXmNactivateCallback
#define XmNcancelCallback XXmNcancelCallback
#define XmNvalueChangedCallback XXmNvalueChangedCallback
#define XmNentryCallback XXmNentryCallback
#define XmNsingleSelectionCallback XXmNsingleSelectionCallback
#define XmNdefaultActionCallback XXmNdefaultActionCallback
#define XmNextendedSelectionCallback XXmNextendedSelectionCallback
#define XmNincrementCallback XXmNincrementCallback
#define XmNdecrementCallback XXmNdecrementCallback
#define XmNpageIncrementCallback XXmNpageIncrementCallback
#define XmNpageDecrementCallback XXmNpageDecrementCallback
#define XmNbrowseSelectionCallback XXmNbrowseSelectionCallback
#define XmNokCallback XXmNokCallback
#define XmNmenuHistory XXmNmenuHistory
#define XmNbackground XXmNbackground
#define XmNforeground XXmNforeground
#define XmNmenuBar XXmNmenuBar
#define XmNworkWindow XXmNworkWindow
#define XmNhorizontalScrollBar XXmNhorizontalScrollBar
#define XmNverticalScrollBar XXmNverticalScrollBar
#define XmNsliderSize XXmNsliderSize
#define XmNvalue XXmNvalue
#define XmNmaximum XXmNmaximum
#define XmNorientation XXmNorientation
#define XmNmessageString XXmNmessageString
#define XmNitemCount XXmNitemCount
#define XmNitems XXmNitems
#define XmNvisibleItemCount XXmNvisibleItemCount
#define XmNcolumns XXmNcolumns
#define XmNmaxLength XXmNmaxLength
#define XmNselectedItems XXmNselectedItems
#define XmNdoubleClickInterval XXmNdoubleClickInterval
#define XmNselectedItemCount XXmNselectedItemCount
#define XmNmultipleSelectionCallback XXmNmultipleSelectionCallback
#define AXmNIconId XXmNIconId
#define XmNlabelPixmap XXmNlabelPixmap
#define XmNcancelButton XXmNcancelButton
#define AXmNpalette XXmNpalette
#define AXmNelfAccess XXmNelfAccess
#define AXmNmonospaceFont XXmNmonospaceFont
#define XmNborderWidth XXmNborderWidth
#define AXmNnoArmHighlight XXmNnoArmHighlight
#define AXmNuse2d XXmNuse2d
#define AXmNnotTransient XXmNnotTransient
#define AXmNruler XXmNruler
#define AXmNsmallFont XXmNsmallFont
#define XmCArmCallback XXmCArmCallback
#define XmNthickness XXmNthickness
#define XmNmenuHelpWidget XXmNmenuHelpWidget
#define XmNdebugger XXmNdebugger
#define XmNalternatePixmap XXmNalternatePixmap
#define AXmNno_picks XXmNno_picks
#define XmNminWidth XXmNminWidth
#define XmNminHeight XXmNminHeight
#define XmNbuttonType XXmNbuttonType
#define XmNwhichButton XXmNwhichButton
#define XmNtextOptions XXmNtextOptions
#define XmNgePaletteButtonType XXmNgePaletteButtonType
#define XmNpokeCodes XXmNpokeCodes
#define XmNrevstamp XXmNrevstamp
#define XmNresize XXmNresize
#define XmNmaxWidth XXmNmaxWidth
#define XmNmaxHeight XXmNmaxHeight
#define AXmNlistHScroll XXmNlistHScroll
#define XmNfg_color XXmNfg_color
#define XmNbg_color XXmNbg_color
#define AXmNhideListVScroll XXmNhideListVScroll
#define XmNaxFont XXmNaxFont
#define XmNupdate XXmNupdate
#define XmNdisableElfRecord XXmNdisableElfRecord
#define XmNnoExpand XXmNnoExpand
#define XmNhelpStr XXmNhelpStr
#define AXmNuseWorkColors XXmNuseWorkColors
#define AXmNminValue XXmNminValue
#define AXmNmaxValue XXmNmaxValue
#define AXmNno_label XXmNno_label
#define AXmNforce_list_item_display XXmNforce_list_item_display
#define AXmNcolorpal XXmNcolorpal
#define XmNpixmap XXmNpixmap
#define AXmNGExruler XXmNxruler
#define AXmNGEyruler XXmNyruler
#define AXmNno_echo XXmNno_echo
#define ZXmNcompositeLinkUp XXmNcompositeLinkUp
#define ZXmNcompositeLinkDown XXmNcompositeLinkDown
#define ZXmNmeasureWtext XXmNmeasureWtext
#define ZXmNeventHandlers XXmNeventHandlers
#define ZXmNinEdit XXmNinEdit
#define ZXmNstyle XXmNstyle
#define AXmNbtnPixmapList XXmNbtnPixmapList
#define AXmNpfg_color XXmNpfg_color
#define AXmNpbg_color XXmNpbg_color
#define AXmNpixmask XXmNpixmask
#define AXMKanjiStyle XXMKanjiStyle
#define AXmNelfObject XXmNelfObject
#define AXmNcurPos XXmNcurPos
#define AXmNminorEventNotify XXmNminorEventNotify
#define AXmNmarkerWidth XXmNmarkerWidth
#define AXmNallowHiddenColumns XXmNallowHiddenColumns
#define AXmNallowColumnResizing XXmNallowColumnResizing
#define AXmNsuppressRowMarkers XXmNsuppressRowMarkers
#define AXmNallowColumnReordering XXmNallowColumnReordering
#define AXmNuseDataRequestModel XXmNuseDataRequestModel
#define AXmNalisStyleScroll XXmNalisStyleScroll
#define AXmNhideVerticalGrid XXmNhideVerticalGrid
#define AXmNhideHorizontalGrid XXmNhideHorizontalGrid
#define AXmNvscrollOrigin XXmNvscrollOrigin
#define AXmNvscrollLength XXmNvscrollLength
#define AXmNhscrollOrigin XXmNhscrollOrigin
#define AXmNhscrollLength XXmNhscrollLength
#define AXmNshowRowNumbers XXmNshowRowNumbers
#define AXmNbuttonUpScroll XXmNbuttonUpScroll
#define AXmNnoPrimarySeln XXmNnoPrimarySeln
#define AXmNplates XXmNplates
#define XmNsubMenuId XXmNsubMenuId
#define XmNlabelString XXmNlabelString
#define XmNlistSizePolicy XXmNlistSizePolicy
#define XmNscrollBarDisplayPolicy XXmNscrollBarDisplayPolicy
#define XmNautomaticSelection XXmNautomaticSelection
#define XmNunitType XXmNunitType
#define XmNnoResize XXmNnoResize
#define XmNresizePolicy XXmNresizePolicy
#define XmNspacing XXmNspacing
#define XmNresizeHeight XXmNresizeHeight
#define XmNresizeWidth XXmNresizeWidth
#define AXmNreferenceFont XXmNreferenceFont
#define AXmNshadow XXmNshadow
#define AXmNbackgroundImage XXmNbackgroundImage
#define AXmNtextShadow XXmNtextShadow
#define AXmNtextColor XXmNtextColor
#define AXmNwidgetColor XXmNwidgetColor
#define AXmNgraphic XXmNgraphic
#define AXmNrminfo XXmNrminfo
#define XmNtopmostwindow XXmNtopmostwindow
#define AXmNlabelFont XXmNlabelFont
#define AXmNlabelColor XXmNlabelColor
#define AXmNlabelShadow XXmNlabelShadow
#define AXmNRowColCreate XXmNRowColCreate
#define XmNDefaultCursor XXmNDefaultCursor
#define XmNtablayers XXmNtablayers
#define XmNactiveTablayer XXmNactiveTablayer
#define XmNuid XXmNuid
#define XmNedit_mask XXmNedit_mask
#define XmNaccelerator_key XXmNaccelerator_key

#endif /* AX_XM_INCL */
