/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: adocio.h
   Applix ASC version: 3
   Date: Wed Mar 10 21:09:54 1999
*/
#define DFM_READ	0	/* open file only if already exists */
#define DFM_CREATE	1	/* create new file structure if no file there now */
/* #define DFM_COMMIT	2	 DFM_CREATE plus create the Unix file NOW */
#define DFM_FRESH	4	/* delete old before creating */
#define DFM_MEMORY	8	/* don't create file on Close */
#define DFM_PARTIAL	16	/* don't preload memory (on read), leave file open */
#define DFM_SHARED	32	/* sharable memory file (used with DFM_MEMORY) */
#define DFM_ACCESS	64	/* just attempt access & return */
#define DFM_OWNER	128	/* open for writing (ownership) */
#define DFM_FILEOK	256	/* allowed to open as a plain file */

typeErr OpenDocumentFile();	/* Load file into memory */


#define SETUP_CLASS_STR NXLT("SETUP_CLASS")
#define SETUP_NUMBER_STR NXLT("SETUP_NUMBER")
#define SETUP_HEIGHT_STR NXLT("SETUP_HEIGHT")
#define SETUP_WIDTH_STR NXLT("SETUP_WIDTH")
#define SETUP_LEFT_OFS_STR NXLT("SETUP_LEFT_OFS")
#define SETUP_TOP_OFS_STR NXLT("SETUP_TOP_OFS")
#define SETUP_P1_ORG_STR NXLT("SETUP_P1_ORG")
#define SETUP_EVEN_ORG_STR NXLT("SETUP_EVEN_ORG")
#define SETUP_ODD_STR NXLT("SETUP_ODD")
#define SETUP_LANDSCAPE_STR NXLT("SETUP_LANDSCAPE")
#define SETUP_TIME_STR NXLT("SETUP_MAGIC")

