/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: axnet.h
   Applix ASC version: 25
   Date: Mon Nov 16 13:52:51 1998
*/
#define AXNET_PORT 300176		/* !!0 get this from SUN */


#define AXNET_FIND_SERVICE 1
#define AXNET_DROP_SOCKET 2
#define AXNET_LIST_SERVICES 3
#define AXNET_GET_SOCKET 4
#define AXNET_REGISTER 5
#define AXNET_UNREGISTER 6
#define AXNET_PROC 7
#define AXNET_PROC_SLAVE 8
#define AXNET_SIGNAL_PROCESS 9
#define AXNET_PROXY 10	/* Function as a pipe to a server */
#define AXNET_JAVALINK1 11	/* Establish async channel */
#define AXNET_JAVALINK2 12 /* Establish sync channel & start axmain */
#define JAVANET_GET_TID 13 /* return a transaction id for a websheet session */
#define JAVANET_REGISTER_TID 14 /* prepare to receive a request for this tid */
#define JAVANET_GET_TID_HOST 15 /* get host to contact for this tid */
#define JAVANET_CLEAR_TID 16 /* tell web host javanet that tid is no longer needed */
#define AXNET_READ_ODBC_INI 17
#define JAVANET_PING 18
#define JAVANET_REMOTE_PORT 19 /* use this port to connect to an existing axmain */
#define JAVANET_PROX_CMD 20
#define JAVANET_SERVER_CNT 21	/* return number of axmain servers connected */
#define JAVANET_ADD_LCL_SERVER 22 /* add "is-alive?" channel to axmain */
#define JAVANET_HOST_ALLOWED 23  /* is "host" allowed to launch axmain thru this aagtwy? */
#define JAVANET_KONALOGIN 24  /* is "host" allowed to launch axmain thru this aagtwy? */
#define JAVANET_XSERVER_INFO 25  /* display name and connection count */
#define JAVANET_GET_PORTS 26 /* Gid list of ports offering a particular macro */
#define JAVANET_GET_KEY   27 /* get key used for passwd encryption */
#define JAVANET_RUN_SERVER_COMMAND 28   /* run a command on each of a certain */
                                        /* type of server                     */

#define AXMAIN_COMMAND_LINE 1 /* to propogate command line to axmain */
#define AXMAIN_RUN_MACRO 2    /* unused */
#define AXMAIN_CALL_MACRO 3   /* to 'call elf macros from shell scripts' */
#define AXMAIN_CALL_MACRO_GET_RESULT 4   /* to call back to axmain, to run
								a macro, and return its results. */

