/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: upconst.h
   Applix ASC version: 2
   Date: Mon Nov 16 13:52:51 1998
*/
#define	PGNOUS		1	/* General preferences number format, U.S. */
#define	PGNOCUS		2	/* General preferences number format, commas, U.S. */
#define	PGNOEU		3	/* General preferences number format, Europe */
#define	PGNOCEU		4	/* General preferences number format, commas, Europe */

#define	PGDYLONG	1	/* General preferences mouse Delay, LONG */
#define	PGDYMEDIUM	2	/* General preferences mouse Delay, MEDIUM */
#define	PGDYSHORT	3	/* General preferences mouse Delay, SHORT */
#define	PGDYVERY	4	/* General preferences mouse Delay, VERY short */

#define	PGMSENGLISH	1	/* General preferences Measurement System, ENGLISH */
#define	PGMSMETRIC	2	/* General preferences Measurement System, METRIC */


/* Shared Access & Delegation Preferences menu options */

#define	PDASMESS	1	/* Delegation preferences ASsignments, MESSage */
#define	PDASENTRY	2	/* Delegation preferences ASsignments, ENTRY */
#define	PDASBOTH	3	/* Delegation preferences ASsignments, BOTH */


/* Mail Preferences menu options */

#define	PMFREVIS	1	/* Mail preferences Form, REVISable */
#define	PMFFINAL	2	/* Mail preferences Form, FINAL */

#define PMMOVE		1	/* Mail preferences, MOVE documents from inbox */
#define PMCOPY		2	/* Mail preferences, COPY documents from inbox */

/* Text Preferences menu options */

#define	PTCBOD		1	/* Text preferences Cursor postion, Beginning Of Document */
#define	PTCEOD		2	/* Text preferences Cursor postion, End Of Document */
#define	PTCREPO		3	/* Text preferences Cursor postion, REPOsition */

#define	PTINSERT	1	/* Text preferences INSERT */
#define	PTOVER		2	/* Text preferences OVERtype */

/* Calendar Preferences menu options */

#define	PCMNORMALLY	1	/* Calendar preferences Meeting attendance, NORMALLY */
#define	PCMRARELY	2	/* Calendar preferences Meeting attendance, RARELY */

#define	PCDDAY		1	/* Calendar preferences Display, DAY */
#define	PCDHOURLY	2	/* Calendar preferences Display, HOURLY grid */
#define	PCDWEEK		3	/* Calendar preferences Display, WEEK */
#define	PCDMONTH	4	/* Calendar preferences Display, MONTH */


/* Print Preferences menu options */

/* none */





    /* Indeces into profile text strings */

    /* Length of each format string (including separator) */
#define FITEMLEN	5

    /* General profile */
#define PGDTFMT		0
#define PGTMFMT		1
#define PGDWFMT		2
#define PGNMFMT		3
#define PGANFMT		4
#define PGMSFMT		5

    /* Text profile */
#define PTTXFMT		0


