/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: aagtwy.h
   Applix ASC version: 2
   Date: Mon Nov 16 14:25:11 1998
*/
#define AXM_NEW_USER 1	/* notification of new user about to connect */
#define AXM_WALL_MSG 2	/* request to post message to all users */
#define AXM_PROFILES 3	/* notifcation of profile values */
#define AXM_CHANNELS 4	/* get statistics about IO channels */
#define AXM_RESET_CNTS 5	/* reset statistics */

/* Command codes from Admin client to aagtwy */

#define AAG_WALL_MSG 50	/* request to post message to all users */
#define AAG_SHUTDOWN 51	/* Kill servers and shut down */
#define AAG_LIST_SVRS 52	/* Return list of servers */
#define AAG_LIST_USRS 53	/* Return list of users */
#define AAG_LINK_ADM 54	/* Notify servers of admin coming in */
