/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: statics.h
   Applix ASC version: 8
   Date: Wed Nov 18 16:29:12 1998
*/
#ifdef FOR_MAIN

/* INITED */

/* bltins.c */

double Zero = 0.0;

/* calc.c */

double DblZero = 0;
double DblOne = 1;
double sSPLFLAG = SPL_FLAG;
double sSPLTEXT = SPL_TEXT;
double sSPLRANGE = SPL_RANGE;
double sSPLADDR = SPL_ADDR;
double sSPLEMPTY = SPL_EMPTY;
double sSPLNOTHING = SPL_NOTHING;
double sSPLSTYLE = SPL_STYLE;
double sSPLELF = SPL_ELF;
double sSPLNA = SPL_NA;
double sSPLERROR = SPL_ERROR;
/* callimp.c */

short MXmsgField = -1;	/* >= 0 if err msg already sent by MenuValid */

/* display.c */

unsigned long last_time = 0x7FFFFFFF;

/* getdspstr.c */



/* mXgoto.c */

short gotocodes[] = {
	CS_CIRCULAR,
	CS_ERROR,
	CS_NA,
	CS_INVALID,
	CS_PENDING,
	GOTO_ALL
};


/* prs.c */

unsigned short msgs[] = 
{
QMPANY,				/* MK_ANY		0 */
QMPRANGE,			/* MK_RANGE		1 */
QMPCOL,				/* MK_COL		2 */
QMPROW,				/* MK_ROW		3 */
QMPDESC,			/* MK_DESC		4 */
QMPCELL,			/* MK_CELL		5 */
QMPDESCONE			/* MK_1DESC     6 */
};


#if 0
/* NOW IN ss_value struct SS */

/* bltins.c */
arg_desc ArgDesc;
extern arg_desc ArgDesc;


/* cache.c */

int cache_size;		/* how big is it in chars */
int CacheFd;			/* file descriptor */
int WriteMode;		/* read = 0,   write = 1 */
ID CacheID;			/* Object id of cache object (0 if static) */
char *CacheLoc;		/* its address in core (kept locked) */
char *CachePtr;		/* current read/write addr */
char *CacheTop;		/* virtual reading top if file EOF'd */

/* display.c */

boolean BadColDesc;		/* Column Descriptor String Valid */
boolean BadRegions;		/* Grid regions are foobared */
char Zold_msg[256];		/* last message sent to status line */

/* fault.c */

int pass;

/* graph.c */

short BGwid;

/* index.c */

char TempFile[LEN_UNIXPATH+1] = {'\0'};	/* zzssXXXXXX0 */

/* mXgoto.c */

char GotoStr[GOTO_STRLEN+1];		/* string for goto to label */


/* parse.c */
jmp_buf prs_env;
tok_ptr *ToksP;		/* addr of array of token pointers */
tok_ptr *ExtrasP;	/* addr of array of extra-tokens pointers */
char *LexP;		/* current addr while lexing */
char *InStr;		/* addr of string to lex */
short OperLast;		/* TRUE if last lexed token was operator */
short NumToks;		/* Number of tokens in token chain */
short NumExtras;		/* Number of tokens in "extras" chain */
short ColBias;		/* col to de-bias all relative specs */
short RowBias;		/* row to de-bias all relative specs */
short PlateBias;		/* plate to de-bias all relative specs */
short LexNum;		/* location counter for tokens */
char *TokStore;		/* addr of scratchpad storage for tokens */
char *CurTokP;		/* currently lexed token */
short err_col;
short *PosToks;	/* string pos of each token */


/* regions.c */

TmPoint OCpoints[10];
coordinate MarkOrg;	/* first pos of mark sequence */

/* uimain.c */

struct TmPickTrigger PickAbility;
struct TmStkTrigger StkAbility;
short ZACaid, ZACprotocol, ZACmesslen; 

/* xfer.c */

short SrcObjSpace;
short DstObjSpace;
ID IDmap;	/* list of IDs already written to output file */
ID newIDmap;	/* list of parallel newly created matching objects */
ID Names;		/* list of named ranges contained in xfer range */
ID NmBaggage;	/* named ranges used in formulas but not in range */

#endif /* SS */
#endif


/* bltins.c */

extern double Zero; /* TRUE STATIC */
extern double Pi; /* TRUE STATIC */

/* calc.c */

extern double DblZero; /* TRUE STATIC */
extern double DblOne; /* TRUE STATIC */
extern double sSPLFLAG; /* TRUE STATIC */
extern double sSPLTEXT; /* TRUE STATIC */
extern double sSPLRANGE; /* TRUE STATIC */
extern double sSPLADDR; /* TRUE STATIC */
extern double sSPLERROR; /* TRUE STATIC */
extern double sSPLEMPTY; /* TRUE STATIC */
extern double sSPLNOTHING; /* TRUE STATIC */
extern double sSPLSTYLE; /* TRUE STATIC */
extern double sSPLELF; /* TRUE STATIC */
extern double sSPLNA; /* TRUE STATIC */

/* mXgoto.c */
extern short gotocodes[];
/* fault.c */
extern int pass;
/* getdspstr.c */
extern short ZDays[12];

#if 0
/* NOW IN struct ss_value SS */

/* callimp.c */

extern short MXmsgField;

/* display.c */

extern unsigned long last_time;
extern char Zold_msg[];


/* graph.c */

extern short BGwid;


/* mXstyle.c */

extern char PrntSetCmdLine[];

/* prs.c */

extern unsigned short msgs[];

/* regions.c */

extern prev_rgn;

/* ZEROED */


/* cache.c */

extern int cache_size;		/* how big is it in chars */
extern int CacheFd;			/* file descriptor */
extern int WriteMode;		/* read = 0,   write = 1 */
extern ID CacheID;			/* Object id of cache object (0 if static) */
extern char *CacheLoc;		/* its address in core (kept locked) */
extern char *CachePtr;		/* current read/write addr */
extern char *CacheTop;		/* virtual reading top if file EOF'd */


/* display.c */

extern boolean BadColDesc;		/* Column Descriptor String Valid */
extern boolean BadRegions;		/* Grid regions are foobared */
extern short WillDraw;			/* Have to update this row */
extern int fixing_active;
extern int fixing;


/* index.c */

extern char TempFile[];	/* zzssXXXXXX0 */

/* loadudf.c */

#ifndef INSET_GAME
extern short *ColNums;		/* ptr to array of cols to do */
extern char *ColWidths;		/* ptr to array of col widths (as above) */
extern char *ColLengths;	/* character length of field in record */
extern short *ColOffsets;	/* Offset into record to get data */
extern short HdrCols;		/* How many are in the header's cols array */
extern short NumCols;		/* How many are actually to be displayed */
extern short RecSize;		/* size of each UDF record in chars */
extern long LocColDef;		/* where in the UDF file the coldefs are */
extern long LocRngTbl;		/* where in the UDF file the range table is */
extern long LocRecords;		/* where the records are */
extern short Leader;		/* How many lead chars to be ignored */
extern char *Cache;			/* addr of UDF file cache */
extern int SkipCol0;		/* TRUE if col0 is to be IMP formatted */
#endif

/* mXgoto.c */

extern char GotoStr[];		/* string for goto to label */
extern short GotoSuppressNote;

/* movec.c */

extern ID MvPairs;		/* array of form_pairs */

/* parse.c */

#ifdef FOR_PARSE
extern jmp_buf prs_env;
extern tok_ptr *ToksP;		/* addr of array of token pointers */
extern tok_ptr *ExtrasP;	/* addr of array of extra-tokens pointers */
#endif

extern char *LexP;		/* current addr while lexing */
extern char *InStr;		/* addr of string to lex */
extern short OperLast;		/* TRUE if last lexed token was operator */
extern short NumToks;		/* Number of tokens in token chain */
extern short NumExtras;		/* Number of tokens in "extras" chain */
extern short ColBias;		/* col to de-bias all relative specs */
extern short RowBias;		/* row to de-bias all relative specs */
extern short PlateBias;		/* plate to de-bias all relative specs */
extern short LexNum;		/* location counter for tokens */
extern char *TokStore;		/* addr of scratchpad storage for tokens */
extern char *CurTokP;		/* currently lexed token */
extern short err_col;
extern short *PosToks;	/* string pos of each token */

/* putcell.c */

extern ID KillForm;	/* non-zero if form_mgr wants a formula object freed */
extern ID sNULL_OBJ;

/* regions.c */

extern TmPoint OCpoints[];
extern coordinate MarkOrg;	/* first pos of mark sequence */
extern coordinate StkOrg;

/* uimain.c */

extern struct TmPickTrigger PickAbility;
extern struct TmStkTrigger StkAbility;
extern int GotEvent;
extern short ZACaid, ZACprotocol, ZACmesslen; 

/* xfer.c */

extern short SrcObjSpace;
extern short DstObjSpace;
extern short CurObjSpace;
extern ID SrcMap;	/* list of formulas/strings in src space */
extern ID DstMap;	/* parallel list in destination space */
extern boolean ClosedCurrent;
extern ss_value *otherPss;	/* pointer to "other" spreadsheet object */
extern ID IDmap;	/* list of IDs already written to output file */
extern ID newIDmap;	/* list of parallel newly created matching objects */
extern ID Names;		/* list of named ranges contained in xfer range */
extern ID NmBaggage;	/* named ranges used in formulas but not in range */

#endif

extern short SSCursorMovement;
extern short SSGridStyle;
extern short SSAsciiDelimiter;
