/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: tk_array.h
   Applix ASC version: 9
   Date: Wed Nov 18 16:29:11 1998
*/
#ifndef __TK_ARRAY_H
#define __TK_ARRAY_H
#ifdef FOR_MAIN
char *ZtkStrings[NUM_TOKTYPES];

short ZtkSizes[NUM_TOKTYPES] = {
2,
2,
sizeof(tok_add),		/* TK_ADD */
sizeof(tok_add),		/* TK_SUB */
sizeof(tok_add),		/* TK_MULT */
sizeof(tok_add),		/* TK_DIV */
sizeof(tok_add),		/* TK_OPEN */
sizeof(tok_add),		/* TK_CLOSE */
sizeof(tok_add),		/* TK_UNARY */
sizeof(tok_literal),	/* TK_LITERAL */
sizeof(tok_cell),		/* TK_CELL */
sizeof(tok_add),		/* TK_SPACE */
sizeof(tok_func),		/* TK_FUNC */
sizeof(tok_add),		/* TK_FLAG */
sizeof(tok_add),		/* TK_COMMA */
sizeof(tok_range),		/* TK_RANGE */
sizeof(tok_add),		/* TK_EQUAL */
sizeof(tok_add),		/* TK_GREATER */
sizeof(tok_add),		/* TK_GTEQUAL */
sizeof(tok_add),		/* TK_LESS */
sizeof(tok_add),		/* TK_LTEQUAL */
sizeof(tok_add),		/* TK_NOTEQUAL */
sizeof(tok_add),		/* TK_AND */
sizeof(tok_add),		/* TK_OR */
sizeof(tok_add),		/* TK_NOT */
sizeof(tok_add),		/* TK_POWER */
sizeof(tok_cmt),		/* TK_COMMENT */
sizeof(tok_name),		/* TK_NAME */
sizeof(tok_gorch),		/* TK_GORCH */
sizeof(tok_add),		/* TK_XOR */
sizeof(tok_ecell),		/* TK_ECELL */
sizeof(tok_erange),		/* TK_ERANGE */
sizeof(tok_null),		/* TK_NULL */
sizeof(tok_string),		/* TK_STRING */
sizeof(tok_strcat),		/* TK_STRCAT */
sizeof(tok_ecell),		/* TK_REFERR */
sizeof(tok_add),		/* TK_FLAG_IF */
sizeof(tok_add),		/* TK_FLAG_QUOTED */
};

short ZtkPrecs[NUM_TOKTYPES] = {			/* Operator precedence */
-1,
-1,
8,		/* TK_ADD */
8,		/* TK_SUB */
9,		/* TK_MULT */
10,		/* TK_DIV */
2,		/* TK_OPEN */
3,		/* 3 TK_CLOSE */
12,		/* TK_UNARY #5955*/
-1,		/* TK_LITERAL */
-1,		/* TK_CELL */
-1,		/* TK_SPACE */
13,		/* TK_FUNC */
-1,		/* TK_FLAG */
4,		/* TK_COMMA */
-1,		/* TK_RANGE */
7,		/* TK_EQUAL */
7,		/* TK_GREATER */
7,		/* TK_GTEQUAL */
7,		/* TK_LESS */
7,		/* TK_LTEQUAL */
7,		/* TK_NOTEQUAL */
5,		/* TK_AND */
5,		/* TK_OR */
11,		/* TK_NOT same as unary minus to get +5+#not#2 -> 5 */
12,		/* TK_POWER #5955*/
-1,		/* TK_COMMENT */
-1,		/* TK_NAME */
-1,		/* TK_GORCH */
5,		/* TK_XOR */
-1,		/* TK_ECELL */
-1,		/* TK_ERANGE */
-1,		/* TK_NULL */
-1,		/* TK_STRING */
8,		/* TK_STRCAT */
-1,		/* TK_REFERR */
-1,		/* TK_FLAG_IF */
-1,		/* TK_FLAG_QUOTED */
};
#endif /* FOR_MAIN */
#else

extern char *ZtkStrings[NUM_TOKTYPES];
extern short ZtkPrecs[NUM_TOKTYPES];
extern short ZtkSizes[NUM_TOKTYPES];
#endif

