/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: sqlparse.h
   Applix ASC version: 3
   Date: Mon Nov 16 13:57:16 1998
*/
/* STRIP LINES THROUGH HERE */

/* sqlparse.h */
/* this file is included in sqlparse.c and sqlcmd.els */

/* revstamp for current version of parser */
#define PARSER_REV 1
#define HANDLER_REV 1    

/* function ids for axdispatch */
#define GET_PARSE_TREE 1
#define GET_CONVERSION_MACRO 2
#define GET_PARSER_REV 3

#define SQLP_ELF_TRUE -1
#define SQLP_ELF_FALSE 0

/* codes for syntax elements */
#define SQLP_STAR 1
#define SQLP_NAME 2
#define SQLP_EXPRESSION 3
#define SQLP_SELECT 4
#define SQLP_ORDER_BY 5
#define SQLP_DISTINCT 6
#define SQLP_WHERE 7
#define SQLP_FROM 8
#define SQLP_GROUP_BY 9
#define SQLP_HAVING 10
#define SQLP_COLUMN_LIST 11
#define SQLP_CONSTANT_STRING 12
#define SQLP_CONSTANT_INT 13
#define SQLP_AND 14
#define SQLP_OR 15
#define SQLP_NO_AND_OR 16
#define SQLP_TABLE_EXPR 17
#define SQLP_STRING_EXPR 18
#define SQLP_ROW_CONSTR 19
#define SQLP_SCALAR_EXPR 20
#define SQLP_SCALAR_EXPR_CLIST 21
#define SQLP_COMP_COND 22
#define SQLP_BETWEEN_COND 23
#define SQLP_LIKE_COND 24
#define SQLP_IN_COND 25
#define SQLP_NOT 26
#define SQLP_NOP 27
#define SQLP_NOT_UNIQUE 28
#define SQLP_UNIQUE 29
#define SQLP_MATCH_COND 30
#define SQLP_NO_NOT 31
#define SQLP_ALL 32
#define SQLP_ANY 33
#define SQLP_ALLORANY_COND 34
#define SQLP_STRING_PRIMARY 35
#define SQLP_CONCAT 36
#define SQLP_AGGREGATE_FUNCTION 37
#define SQLP_FUNCTION_REF 38
#define SQLP_COLUMN_REF 39
#define SQLP_LITERAL 40

