/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: utloc.h
   Applix ASC version: 4
   Date: Mon Nov 16 13:57:59 1998
*/
#if !AX_NT
#include <unistd.h>
#endif  /* DAMNT */

#include <aos.h>
#include <trcdefs.h>

extern int D_errno;

extern typeErr getStr();

extern char *Agethome();
extern char *Agetuser();
extern char *Aregcmp();
extern char *Aregex();

#define REGISTER 

#if DEBUG
extern int D_traceon;
#define TRACE(a) if(D_traceon)trace a
#define RNAME(a) static char rname[] = a
#define ERROR(a) if(D_traceon)ut_error(rname,a); else D_errno = a
#else
#define TRACE(a)
#define RNAME(a) int null()
#define ERROR(a) D_errno = a
#endif
