/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: eltree.h
   Applix ASC version: 2
   Date: Tue Feb  2 15:21:49 1999
*/
#ifndef _eltree_h_
#define _eltree_h_

#define ELF_TREE_NODE_title  0  /* title of node - user settable */
#define ELF_TREE_NODE_pixmap 1  /* pixmap representation - user settable */
#define ELF_TREE_NODE_value  2  /* node value - user settable */
#define ELF_TREE_NODE_handle 3  /* internal handle (not user settable) */
#define ELF_TREE_NODE_subnodes 4 /* currently unused */
#define ELF_TREE_NODE_MAX    5

#endif /* not _eltree_h_ */


/* GNU Emacs settings - This (including the "\n^L") MUST be the last thing
 *                      in this file!
 * Local variables:
 * mode: c
 * tab-width: 4
 * end:
 */
