/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: table.h
   Applix ASC version: 2
   Date: Tue Feb  2 15:22:19 1999
*/
/* STRIP LINES THROUGH HERE */
/* table.h - include for c code that wants to access ELF table_data@ format
defined in table_.am */

/* attribute codes */
#define TABLE_ALIGN_LEFT 1
#define TABLE_ALIGN_CENTER 2
#define TABLE_ALIGN_RIGHT 3

/* data types */
#define TABLE_DATATYPE_ELF_ 0		/* raw ELF data type: string, float, etc.*/
									/* this is the default.*/
#define TABLE_DATATYPE_MONEY_ 1		/* root of all evil, they say.*/
#define TABLE_DATATYPE_DATETIME_ 2 	/* absolute time*/
#define TABLE_DATATYPE_INTERVAL_ 3 	/* time interval*/
#define TABLE_DATATYPE_AXDOC_ 4		/* array of strings that is an 
														Applix document*/
#define TABLE_DATATYPE_NUMBER_ 5 	/* may be stored as an ELF string or 
														number*/
#define TABLE_DATATYPE_TEXT_ 6		/* element is an array of strings. each*/
									/* string is a paragraph.*/


