/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: getoks.c
   Applix ASC version: 77
   Date: Thu Feb  4 21:09:58 1999
*/
#define NXLT(str) str	/*	Keep xlt scans sane by NXLT'g where necess */

#if SGI
char **tok;
char *read_only_tok[]
#else
char *tok[]
#endif
= {
	NXLT("ANGLE"),
	NXLT("AREA"),
	NXLT("ARR"),
	NXLT("ARROW"),
	NXLT("ARROW_STYLE"),
	NXLT("ARTYP"),
	NXLT("AT"),
	NXLT("AUDIO1!"),
	NXLT("AUTOGRID!"),
	NXLT("AXATTR!"),
	NXLT("AXES!"),
	NXLT("AXIS_FMT!"),
	NXLT("AXIS_MAJOR!"),
	NXLT("AXIS_MINOR!"),
	NXLT("AXLABATTR!"),
	NXLT("AXTIKATTR!"),
	NXLT("AXTIKLABATTR!"),
	NXLT("BACKFILL"),
	NXLT("BACKGROUND_COLOR"),
	NXLT("BACK_COLOR"),
	NXLT("BAR_INFO!"),
	NXLT("BASE!"),
	NXLT("BEGIN"),
	NXLT("BG_PART!"),
	NXLT("BOLD"),
	NXLT("BUILD_INFO!"),
	NXLT("BUSINESS!"),
	NXLT("CANGLE"),
	NXLT("CAT"),
	NXLT("CBACK"),
	NXLT("CBACKFILL"),
	NXLT("CBOLD"),
	NXLT("CFONT"),
	NXLT("CENTER!"),
	NXLT("CFLD_XYSCALE"),
	NXLT("CHART"),
	NXLT("CHART_COUNTS"),
	NXLT("CHART_INFO!"),
	NXLT("CHRATTR!"),
	NXLT("CH_SPACE"),
	NXLT("CHOR_JUST"),
	NXLT("CLASS"),
	NXLT("CLINEFILL"),
	NXLT("CLIPMASK"),
	NXLT("CLIPPATH"),
	NXLT("CLOSE"),
	NXLT("CL_SPACE"),
	NXLT("CITALICS"),
	NXLT("CMARGINS"),
	NXLT("COLATTR!"),
	NXLT("COLORMAP"),
	NXLT("COLUMNS"),
	NXLT("COMPRESSION"),
	NXLT("CONTROL_POINTS!"),
	NXLT("CONTROL_PTS!"),
	NXLT("CORNER"),
	NXLT("CPARA"),
	NXLT("CRECT!"),
	NXLT("CSCALE"),
	NXLT("CSHADOW"),
	NXLT("CSHEAR"),
	NXLT("CSHR_ANG"),
	NXLT("CSIZE"),
	NXLT("CSTR!"),
	NXLT("CSTYLE"),
	NXLT("CSTXT!"),
	NXLT("CSUBSUP"),
	NXLT("CTLS!"),
	NXLT("CTHICKNESS"),
	NXLT("CTXT!"),
	NXLT("CTXTXYOFF"),
	NXLT("CTHRU"),
	NXLT("CV_SPACE"),
	NXLT("CVER_JUST"),
	NXLT("CUNDERLINE"),
	NXLT("CURRENT_PAGE!"),
	NXLT("CXYOFFS"),
	NXLT("C_SCHEME!"),
	NXLT("DAT"),
	NXLT("DATA"),
	NXLT("DATALABEL!"),
	NXLT("DATATYPE!"),
	NXLT("DATGROUP"),
	NXLT("DEFATR!"),
	NXLT("DEF_PAGE"),
	NXLT("DEF_TABSIZE!"),
	NXLT("DEPTH"),
	NXLT("DOCDIMENSIONS"),
	NXLT("EDITOR!"),
	NXLT("ELEM"),
	NXLT("ENCODING"),
	NXLT("END"),
	NXLT("END_ANGLE"),
	NXLT("EPS"),
	NXLT("EVEN!"),
	NXLT("EVENODD!"),
	NXLT("EXTENT"),
	NXLT("FILLNAMES!"),
	NXLT("FILL_PAT"),
	NXLT("FINAL!"),
	NXLT("FIRST!"),
	NXLT("FIXED"),
	NXLT("FLD_XYSCALE"),
	NXLT("FONT"),
	NXLT("FOOT!"),
	NXLT("FOOTATR!"),
	NXLT("FOOTER!"),
	NXLT("FOREGROUND_COLOR"),
	NXLT("FORE_COLOR"),
	NXLT("FORMAT"),
	NXLT("GAP!"),
	NXLT("GHOSTED"),
	NXLT("GRAD!"),
	NXLT("GRADIENT!"),
	NXLT("GRAPHICS!"),
	NXLT("GRID_DPI!"),
	NXLT("GRID_FACTOR!"),
	NXLT("GRIDS"),
	NXLT("GRIDSIZE!"),
	NXLT("GRID_UNITS!"),
	NXLT("GRPATTR!"),
	NXLT("GRPBUF!"),
	NXLT("GRPLABATTR!"),
	NXLT("GRP_INFO"),
	NXLT("HANDOUT_MASTER!"),
	NXLT("HDRFTR!"),
	NXLT("HEADER!"),
	NXLT("HEIGHT"),
	NXLT("HHDRFTR!"),
	NXLT("HIDDEN"),
	NXLT("HIDE_BACKGD!"),
	NXLT("HIDE_OBJECTS!"),
	NXLT("HIDE_SLIDE!"),
	NXLT("HLINK"),
	NXLT("HORIZONTAL_JUSTIFICATION"),
	NXLT("HORZ"),
	NXLT("HOR_JUST"),
	NXLT("HPAGEHYT"),
	NXLT("HPAGEON!"),
	NXLT("HPAGEWID"),
	NXLT("HPAGEXY"),
	NXLT("HPRINTBLEED"),
	NXLT("HPRINTGUIDES"),
	NXLT("HPRINTHYT"),
	NXLT("HPRINTLAND"),
	NXLT("HPRINTMARG"),
	NXLT("HPRINTMARKS"),
	NXLT("HPRINTWID"),
	NXLT("HYPERLINKS"),
	NXLT("H_SPACE"),
	NXLT("IMAGE_FMT!"),
	NXLT("INDEX"),
	NXLT("INNER!"),
	NXLT("INS_AREA!"),
	NXLT("INS_REF!"),
	NXLT("ISA"),
	NXLT("ISA_AXIS"),
	NXLT("ISA_AXLAB"),
	NXLT("ISA_BODY"),
	NXLT("ISA_DATGRP"),
	NXLT("ISA_DATLAB"),
	NXLT("ISA_FOOTER"),
	NXLT("ISA_GRID"),
	NXLT("ISA_LEGEND"),
	NXLT("ISA_SUBTITLE"),
	NXLT("ISA_TITLE"),
	NXLT("ITALICS"),
	NXLT("LABEL!"),
	NXLT("LABEL_FILTER!"),
	NXLT("LAYERS"),
	NXLT("LAYOUT_ID!"),
	NXLT("LEGALIGN!"),
	NXLT("LEGBOXATTR!"),
	NXLT("LEGEND"),
	NXLT("LEGFMT!"),
	NXLT("LEGLABATTR!"),
	NXLT("LEGMARG!"),
	NXLT("LEGTITATTR!"),
	NXLT("LINATTR!"),
	NXLT("LINEFILL"),
	NXLT("LINE_BACKGROUND_COLOR"),
	NXLT("LINE_BACK_COLOR"),
	NXLT("LINE_COLOR"),
	NXLT("LINE_FOREGROUND_COLOR"),
	NXLT("LINE_FORE_COLOR"),
	NXLT("LINE_PAT"),
	NXLT("LINE_PATTERN"),
	NXLT("LINE_SPACE"),
	NXLT("LOCKED"),
	NXLT("LSHAPE"),
	NXLT("L_ARROW"),
	NXLT("L_SPACE"),
	NXLT("L_WIDTHS"),
	NXLT("MACRO!"),
	NXLT("MAJDPT!"),
	NXLT("MAJHRZ!"),
	NXLT("MAJVRT!"),
	NXLT("MARGIN"),
	NXLT("MARGINS"),
	NXLT("MARKER"),
	NXLT("MASK"),
	NXLT("MINDPT!"),
	NXLT("MINHRZ!"),
	NXLT("MINVRT!"),
	NXLT("MISC_CHART_INFO!"),
	NXLT("NLINES!"),
	NXLT("NOTES!"),
	NXLT("NOTES_MASTER!"),
	NXLT("NOTE_SIZE!"),
	NXLT("NSIDES"),
	NXLT("NULL_FMT!"),
	NXLT("NULL_VAL!"),
	NXLT("NUM_FMT!"),
	NXLT("N_ATTR0!"),
	NXLT("N_ATTR1!"),
	NXLT("N_ATTR2!"),
	NXLT("N_ATTR3!"),
	NXLT("N_ATTR4!"),
	NXLT("N_ATTR5!"),
	NXLT("N_EXT1!"),
	NXLT("N_EXT2!"),
	NXLT("NHDRFTR!"),
	NXLT("NPAGEHYT"),
	NXLT("NPAGEON!"),
	NXLT("NPAGEWID"),
	NXLT("NPAGEXY"),
	NXLT("NPRINTBLEED"),
	NXLT("NPRINTGUIDES"),
	NXLT("NPRINTHYT"),
	NXLT("NPRINTLAND"),
	NXLT("NPRINTMARG"),
	NXLT("NPRINTMARKS"),
	NXLT("NPRINTWID"),
	NXLT("ODD!"),
	NXLT("OFFSET"),
	NXLT("OLD_DATATYPE!"),
	NXLT("OLD_GRP!"),
	NXLT("OHDRFTR!"),
	NXLT("OPAGEHYT"),
	NXLT("OPAGEON!"),
	NXLT("OPAGEWID"),
	NXLT("OPAGEXY"),
	NXLT("OPRINTBLEED"),
	NXLT("OPRINTGUIDES"),
	NXLT("OPRINTHYT"),
	NXLT("OPRINTLAND"),
	NXLT("OPRINTMARG"),
	NXLT("OPRINTMARKS"),
	NXLT("OPRINTWID"),
	NXLT("ORIGIN"),
	NXLT("OUTER!"),
	NXLT("OUTLINE!"),
	NXLT("OUTLINE_MASTER!"),
	NXLT("PAGEHYT"),
	NXLT("PAGEON!"),
	NXLT("PAGEWID"),
	NXLT("PAGEXY"),
	NXLT("PAGEZEROS"),
	NXLT("PAGE_BACKGD!"),
	NXLT("PARA"),
	NXLT("PART"),
	NXLT("PATTERN"),
	NXLT("PHDRFTR!"),
	NXLT("PICT!"),
	NXLT("PICTURE"),
	NXLT("PIE_INFO"),
	NXLT("PLOT!"),
	NXLT("PNTS!"),
	NXLT("POINTS!"),
	NXLT("POLATTR!"),
	NXLT("POSITION"),
	NXLT("PRINTBLEED"),
	NXLT("PRINTGUIDES"),
	NXLT("PRINTHYT"),
	NXLT("PRINTLAND"),
	NXLT("PRINTMARG"),
	NXLT("PRINTMARKS"),
	NXLT("PRINTSCALE"),
	NXLT("PRINTWID"),
	NXLT("R_ARROW"),
	NXLT("READOUT!"),
	NXLT("RECOLOR"),
	NXLT("REVERSE"),
	NXLT("REZ"),
	NXLT("RNGSTR!"),
	NXLT("ROWDAT"),
	NXLT("RULERON!"),
	NXLT("RUN_MACRO"),
	NXLT("SAME!"),
	NXLT("SCALE"),
	NXLT("SCALE_CORNERS"),
	NXLT("SESSION"),
	NXLT("SH_ARR"),
	NXLT("SH_ELEM"),
	NXLT("SHADOW"),
	NXLT("SHADOWCOLOR"),
	NXLT("SHADOWSIZE"),
	NXLT("SHEAR"),
	NXLT("SHR_ANG"), /* the field_shear and field_angle */
	NXLT("SIZE"),
	NXLT("SLIDE_CYCLE!"),
	NXLT("SLIDE_INFO!"),
	NXLT("SLIDE_MASTER!"),
	NXLT("SLIDE_NOTES!"),
	NXLT("SLIDE_OUTLINE!"),
	NXLT("SLIDE_SHOW"),
	NXLT("SLIDE_STYLE!"),
	NXLT("SPAN!"),
	NXLT("SSHAPE"),
	NXLT("START_ANGLE"),
	NXLT("STICKY!"),
	NXLT("STYLE"),
	NXLT("STYS"),
	NXLT("SUBSUP"),
	NXLT("SUBTXT"),
	NXLT("SUBTITLE!"),
	NXLT("SUBTITLEATR!"),
	NXLT("SUBS!"),
	NXLT("S_ATTR0!"),
	NXLT("S_ATTR1!"),
	NXLT("S_ATTR2!"),
	NXLT("S_ATTR3!"),
	NXLT("S_ATTR4!"),
	NXLT("S_ATTR5!"),
	NXLT("S_EXT1!"),
	NXLT("S_EXT2!"),
	NXLT("TABSTOPS"),
	NXLT("TAG!"),
	NXLT("TEMPLATED"),
	NXLT("TEMPLATE_FLAGS"),
	NXLT("THICKNESS"),
	NXLT("THREE_D!"),
	NXLT("THRU"),
	NXLT("TIK_ALIGN!"),
	NXLT("TIK_TYPE!"),
	NXLT("TITLE!"),
	NXLT("TITLEATR!"),
	NXLT("TITLE_ALIGN!"),
	NXLT("TITLE_MASTER!"),
	NXLT("TOP_ATTR"),
	NXLT("TRANS!"),
	NXLT("TRANSPARENT"),
	NXLT("TREND!"),
	NXLT("TXTATTR!"),
	NXLT("TXTXYOFF"),
	NXLT("TYPE"),
	NXLT("T_ATTR0!"),
	NXLT("T_ATTR1!"),
	NXLT("T_CTLS!"),
	NXLT("T_PNTS!"),
	NXLT("T_POS"),
	NXLT("UNDERLINE"),
	NXLT("UNITS!"),
	NXLT("USE!"),
	NXLT("USERDEF!"),
	NXLT("VERSION!"),
	NXLT("VERT"),
	NXLT("VERTICAL_JUSTIFICATION"),
	NXLT("VER_JUST"),
	NXLT("VIEW!"),
	NXLT("V_ALIGN"),
	NXLT("V_SPACE"),
	NXLT("WIDECHARS"),
	NXLT("WIDTH"),
	NXLT("WIN_SIZE"),
	NXLT("WORDSONLY"),
	NXLT("X!"),
	NXLT("XYOFFS"),
	NXLT("XYRAD"),
	NXLT("XYRES"),
	NXLT("X_AXIS"),
	NXLT("Y!"),
	NXLT("Y_AXIS"),
	NXLT("Z!"),
	NXLT("Z_AXIS"),
	NXLT("ZOOM"),
	0	/* NULL */
};
