/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: parcint.h
   Applix ASC version: 4
   Date: Fri Apr 30 21:12:59 1999
*/
#define DIO_CLIENT	1		/* Let client use direct I/O */

#define SET	1
#define RESET	0
#define SPACE	' '
#define NULLP ((char*)0)   /* generic null pointer */

/* --- */

/* defines used in buffered mode IPC */
#define TMHURRY		0
#define TMNOHURRY	1

/* cell and coordinate unit sizes (in mils) for dummy runtime mode */
/* WARNING: must match device setup 0 */

#define CWIDTH	100
#define CHEIGHT	166

extern short TmChan;	/* IPC channel to ATM */
extern short TmOpFlag;	/* boolean indicating channel open to ATM */

extern char TmResMes[];
extern char TmSendMes[];

extern short TmDummy;   /* TRUE disables most IO */

