/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: termdep.h
   Applix ASC version: 1
   Date: Mon Nov 16 13:53:35 1998
*/
#if TMODE || RGMODE

#define	DUMB	0
#define VT100	1
#define PT		2
#define QUME	3
#define NCR79XX	4
#define ADM		5
#define HN73		6
#define IBM3163		7
#define	HW40	8
#define VT200	9

/* dumb terminal line drawing stuff */

#define	DX0		0x1		/* no x component */
#define	DY0		0x2
#define	SML		0x4		/* small magnitude */

#define	DOTCHAR		0
#define HORZCHAR	1
#define VERTCHAR	2
#define	NO_CORN		3
#define	UL_CORN		4		/* upper left corner */
#define	UR_CORN		5
#define	LL_CORN		6
#define	LR_CORN		7

#endif  /* TMODE || RGMODE */

#if RGMODE

#if VT240_G
#define DC_TOP		 6
#define DC_BOTTOM	22
#endif		/* of #if VT240_G */

#if Q311_RG
#define OFFSET (-1)						/* for 32 line mode */
#if 0
#define OFFSET (RG_HT * 4)				/* for 24 line mode */
#endif
#endif		/* of #if Q311_RG */

#if HP23_G
#define ORIGIN_X 16
#define ORIGIN_Y 14
#define DISP_HT 390
#endif		/* #if HP23_G */

#endif				/* of #if RGMODE */

#if MASS
#define	QUAD		2	/* mode used for keyboard input */
#endif	/* if MASS */

/* define WYSE ioctl values, must be numerically after fb ioctl values */
#if IBM_AWX
#define BANK_0	3	/* switch to EVEN bank */
#define	BANK_1	4	/* switch to ODD bank */
#define	BANK_2	5	/* EVEN bank, XOR mouse */
#define BANK_3	6	/* ODD bank, XOR mouse */
#endif
