/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: fs_save.h
   Applix ASC version: 4
   Date: Mon Nov 16 13:52:53 1998
*/
#define FS_SAVE_BINARY 0
#define FS_SAVE_PORTABLE 1

#define SS_SAVE_WK1   2
#define SS_SAVE_SYLK  3
#define SS_SAVE_DIF   4
#define SS_SAVE_CSV 5
#define SS_SAVE_ASCII_GRID 6
#define SS_SAVE_ASCII_COL 7
#define SS_SAVE_ASCII_ROW 8

#define SS_SAVE_WK3   9

/* Added new as of Rev3.0 */
#define SS_SAVE_XLS 10		/* Should be SS_SAVE_XLS_REV3, but keep this for safety */
#define SS_SAVE_XLS_REV3   10
#define SS_SAVE_REV21 11
#define SS_SAVE_XLS_REV4 12

#define GE_SAVE_TIFF 2

#define DC_SAVE_ASCII 2
#define DC_SAVE_DCA 3

#define ME_SAVE_ASCII 2
