/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: style.h
   Applix ASC version: 9
   Date: Mon Nov 16 13:52:53 1998
*/
#define PNmREGULAR 0
#define PNmINTEGER 1

/* maximum exponent allowed by ParseNum */
#if VAX
#define MAX_EXPONENT 20.0
#else
#if PCS
#define MAX_EXPONENT 19.0
#else
#if THIMBLE
#define MAX_EXPONENT 306.0
#else
#define MAX_EXPONENT 25.0
#endif
#endif
#endif


/* Used exclusively by the spreadsheet */

#define MAXDIGITS  60 	 /* corresponds to max col width in spreadsheet */
#define DIGITS_AFTERDEC 9 /* max number of digits allowed after decimal point */

/* Number Styles */
#define TOTAL_BUILTIN_STYLES 16
/* number style */
#define SS_STL_BOOL         1   /* boolean */
#define SS_STL_GENERAL      2   /* general */
#define SS_STL_FIXED        3   /* fixed */
#define SS_STL_SCIENCE      4   /* scientific */
#define SS_STL_CURRENCY     5   /* currency */
#define SS_STL_COMMA        6   /* comma */
#define SS_STL_PERCENT      7   /* percent */
#define SS_STL_DATE         8   /* date */
#define SS_STL_GRAPH        9   /* graph */
#define SS_STL_TIME         10  /* time */
#define SS_STL_DEFAULT      11  /* default */
#define SS_STL_X            12  /* user defined format 1 */
#define SS_STL_Y            13  /* user defined format 2 */
#define SS_STL_TEXT         14  /* text style */
#define SS_STL_GENERAL_NP   15  /* general with max precision */
#define SS_MAX_PREC	15

#include <gstyle.h>

