/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: goto.h
   Applix ASC version: 6
   Date: Mon Nov 16 13:57:02 1998
*/
#define MAX_GOTOS 20

typedef struct {
	coordinate undo_place;		/* starting point */
	coordinate destination;		/* where it ended up (only for UNDO_PLACE) */
	char redo_direction;
	char redo_command;				/* section, marked... */
	char string[GOTO_STRLEN+1];
} goto_value;

#define GOTO_LEFT 0
#define GOTO_RIGHT 1
#define GOTO_UP 2
#define GOTO_DOWN 3

#define GOTO_SHIFT_LEFT 	4
#define GOTO_SHIFT_RIGHT 	5
#define GOTO_SHIFT_UP 		6
#define GOTO_SHIFT_DOWN 	7

#define GOTO_SECTION 0
#define GOTO_GOTO 1
#define GOTO_ALL 50
#define GOTO_MARK 51
#define GOTO_PLACE 52
