/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: tm1brdef.h
   Applix ASC version: 2
   Date: Mon Nov 16 14:27:35 1998
*/
#define MIN_CNVS_WIDTH                 410
#define MIN_CNVS_HEIGHT                100

/* white space definitions:  for spacing the text within the box
   that encloses it */
#define TEXT_BOX_TOP_SPACE               2
#define TEXT_BOX_BOTTOM_SPACE            2
#define TEXT_BOX_LEFT_SPACE              3
#define TEXT_BOX_RIGHT_SPACE             3

/* white space definitions: for space between boxes that area stacked */
#define BOX_VERT_SPACE                   2

/* white space definitions:  for space between stacks of boxes */
#define BOX_HORIZ_SPACE                  7

/* white space definitions:  for space between a box (button) and the
   text beside it describing the subset (row/column dimensions) or
   element (row/column/unallocated dimensions) currently selected */
#define BETWEEN_BOX_N_ELEM_MIN_SPACE     6 /* must be an even number */

/* initial table geometry definitions:  upper left corner */
#define LAYOUT_UPPER_LEFT_X             10
#define LAYOUT_UPPER_LEFT_Y             10

/* initial table geometry definitions:  space to use to fill out the
   canvas size at lower right corner */
#define ADD_TABLE_LOWER_RIGHT_X         10
#define ADD_TABLE_LOWER_RIGHT_Y         10

/* for handling incremental spreadsheet browser retrieval writing */
#define TM1_SS_MAX_ROWS                  32767
#define TM1_SS_MAX_COLS                  (26 * 27)
#define TM1_SS_INCREMENTAL_CHUNK_SIZE    2000

#define TM1_SS_BROWSER_RETURNS_ALL        0
#define TM1_SS_BROWSER_RETURNS_SOME       1
#define TM1_SS_BROWSER_RETURNS_LAST       2

#define TM1_SS_BROWSER_RETURNS_DATA_AND_RANGE          10
#define TM1_SS_BROWSER_RETURNS_HEADERS_AND_RANGE       11
#define TM1_SS_BROWSER_RETURNS_BOLD_CELL_LIST          12
#define TM1_SS_BROWSER_RETURNS_CELL_BORDER_RANGE_LIST  13
