/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: tm1sbst.h
   Applix ASC version: 2
   Date: Mon Nov 16 14:27:45 1998
*/
#define TM1_SUBSET_ALL_NAME      "ALL"        /* TM1 constant */

data_ptr tm1subset_get_subset_elements(data_ptr funcData);
data_ptr tm1subset_get_subset_element_by_index(data_ptr funcData);
data_ptr tm1subset_get_subset_layout(data_ptr funcData);
data_ptr tm1subset_set_subset_layout(data_ptr funcData);
data_ptr tm1subset_get_subset_size(data_ptr funcData);
data_ptr tm1subset_get_children_list(data_ptr funcData);
data_ptr tm1subset_get_parent_list(data_ptr funcData);
data_ptr tm1subset_get_level_list(data_ptr funcData);
data_ptr tm1subset_add_new_subset(data_ptr funcData);
data_ptr tm1subset_remove_subset_info(data_ptr funcData);
data_ptr tm1subset_retrieve_subset_max_width(data_ptr funcData);
data_ptr tm1subset_retrieve_subset_max_height(data_ptr funcData);
data_ptr tm1subset_store_subset_max_width(data_ptr funcData);
data_ptr tm1subset_store_subset_max_height(data_ptr funcData);
data_ptr tm1subset_clear_subset_caches();
data_ptr tm1subset_get_pointer_to_parent_list(char *dimname);
data_ptr tm1subset_get_pointer_to_level_list(char *dimname);
data_ptr tm1subset_get_pointer_to_subset_elements(char *dimname, 
						  char *subset_name);
data_ptr tm1subset_get_layout_info_entry_by_index(data_ptr funcData);
