/* Copyright (C) 1983-1999 Applix, Inc.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307, USA.
   
   Applix Inc. is the original author of this material.  Please send
   generally useful enhancements to Applix in the form of all modified 
   source files including an explanation of the changes.  For more
   information see our website at www.applixware.org.
   
   Do not remove or modify the license information above or the following
   Applix source control information from this file.
   
   Applix filename: wpfuncs.h
   Applix ASC version: 37
   Date: Mon Jan 18 21:14:28 1999
*/
#ifndef WPFUNC_INCL
#define WPFUNC_INCL

/* /home/ax3.0/pgms/wp/wpmain.c */
void MEthimble(/*int argc, char *argv[]*/);
void EQthimble(/*int argc, char *argv[]*/);
void WPthimble(/*int argc, char *argv[]*/);
short WpProcessLinksServices(/*void*/);
short WpReadMainDoc(/*void*/);
void WpDocNameVars(/*void*/);
int WpSetPrintDevice(/*char *class*/);
void WpSendNecessaryPokes(/*void*/);
bool WpXEvent(/*char *msgP, int size*/);
void WpLegalizeLoc(/*wp_location *l*/);
void WPAsserter(/*char *file, int line*/);
void EDtester(/*void*/);
void WpSetAccessForNewDoc(/*void*/);
void WpSetAccessFromFile(/*char *pathname*/);
void WpProcessAllActionItems(/*void*/);
void WpProcessActionList(/*int reason, bool forceAll*/);
void WpAddActionListItem(/*wp_action_t *aP*/);
void WpRmvActionListItem(/*wp_action_t *aP*/);
void WpClearActionList(/*void*/);
void WpSetUnaryCursor(/*int bead, int offset, bool legalize*/);
void WpClearSelection(/*void*/);
void WpUpdateTypingAttrs(/*int sync*/);
void WpCalculateTypingAttrs(/*wp_range *rangeP, wp_char_attrs *attrsP, wp_char_attr_flags *flagsP*/);
int WpCalculateTypingAttrsBead(/*wp_location *locP, wp_char_attrs *attrsP*/);
int WpTypingAttrsEligible(/*int *pbead, bool forwards, wp_char_attrs *attrsP*/);
void WpFixOutOfDateFields(/*void*/);
void WpUpdateCursor(/*int display*/);
void WpAutoSave(/*int start*/);
int WpNeedAutoSave(/*long *whenNeeded*/);
void WpPollLinks(/*void*/);
void WpAutoScroll(/*void*/);
void WpSetAutoScrollState(/*void*/);
void WpResetAutoScrollState(/*void*/);
void WpClearError(/*void*/);
void WpCleanAndFreePrintInfo(/*wp_print_info_t *printInfoP*/);
void WpCleanPrintInfo(/*wp_print_info_t *printInfoP*/);
void WpExit(/*int code*/);
void WpFreeExternalResources(/*void*/);
int WpEventRoutine(/*int senderType, char *msgP, int size, bool *beadRevBeforeEvent, bool *quickFormatStateBeforeEvent*/);
/* /home/ax3.0/pgms/wp/fmmain.c */
void FmShiftBeadRefs(/*register int cnt, register int base*/);
void FmSplitBeadRefs(/*wp_location *loc*/);
void FmBeadsChanged(/*register int start, register int end*/);
void WpResetTextAttrs(/*register int start, register int end*/);
void FmInvalidateRectsBasedOnDirty(/*void*/);
void FmInit(/*void*/);
void FmDoBackGroundWork(/*void*/);
void FmFormatDoc(/*void*/);
void FmFormatToPageOfCursor(/*void*/);
int FmPageFromLocation(/*wp_location *locP*/);
int FmQuickPageFromLocation(/*wp_location *locP*/);
void FmQuickAdjustDirty(/*void*/);
void FmQuickFormat(/*int type*/);
/* /home/ax3.0/pgms/wp/fmutils.c */
void FmCopyPage(/*page_t *srcPageP, page_t *destPageP*/);
void FmCopyRects(/*page_t *srcPageP, page_t *destPageP*/);
void FmCopyURects(/*rect_t *srcRectP, rect_t *destRectP*/);
void FmCopyLines(/*urect_t *srcURectP, urect_t *destURectP*/);
void FmCopyLine(/*line_t *srcLineP, line_t *destLineP*/);
void FmCleanPage(/*page_t *pageP*/);
void FmCleanAllRects(/*page_t *pageP*/);
void FmCleanRect(/*rect_t *rectP*/);
void FmCleanURect(/*urect_t *urectP*/);
void FmCleanLine(/*line_t *lineP*/);
void FmCleanGob(/*gob_t *gobP*/);
void FmUpdateRectBackPtrs(/*page_t *pageP*/);
void FmUpdateURectBackPtrs(/*rect_t *rectP*/);
void FmUpdateLineBackPtrs(/*urect_t *urectP*/);
void FmPageToRectangle(/*page_t *pageP, fmRectangle *rP*/);
void FmRectToRectangle(/*rect_t *rectP, fmRectangle *rP*/);
void FmRectangleToRect(/*fmRectangle *rP, rect_t *rectP*/);
void FmRectangleToXRectangle(/*fmRectangle *rP, XRectangle *xrectP*/);
void FmRectangleToTmRect(/*fmRectangle *rP, TmRect *tmrectP*/);
void FmRectangleToR32(/*fmRectangle *rP, r32 *r32P*/);
void FmFrameToRectangle(/*rect_t *frameP, fmRectangle *rP*/);
void FmURectToRectangle(/*urect_t *urectP, fmRectangle *rP*/);
void FmGobToRectangle(/*gob_t *gobP, fmRectangle *rP*/);
int FmSubdivideRectangle(/*fmRectangle *rP, fmRectangle *exrP, fmRectangle subrects[]*/);
void FmAddWorkItem(/*fm_work_item_t *itemP*/);
void FmSetQuickFormatLocation(/*void*/);
int FmFirstFlowRectIndex(/*page_t *pageP*/);
int FmLastFlowRectIndex(/*page_t *pageP*/);
int FmPageHeaderBead(/*page_t *pageP*/);
int FmPageFooterBead(/*page_t *pageP*/);
void FmInsertRects(/*page_t *pageP, int startix, int numNewRects*/);
void FmInsertURects(/*rect_t *rectP, int startix, int numNewURects*/);
void FmInsertLines(/*urect_t *urectP, int startix, int numNewLines*/);
void FmInsertGobs(/*line_t *lineP, int startix, int numNewGobs*/);
void FmDestroyRects(/*page_t *pageP, int startix, int numRectsToDestroy*/);
void FmDestroyURects(/*rect_t *rectP, int startix, int numURectsToDestroy*/);
void FmDestroyFlowRects(/*page_t *pageP*/);
void FmDestroyLines(/*urect_t *urectP, int startix, int numLinesToDestroy*/);
void FmDestroyGobs(/*line_t *lineP, int startix, int numGobsToDestroy*/);
void FmResetFormatStopBead(/*void*/);
void FmSetFormatStopBead(/*int bead*/);
void FmMoveRect(/*rect_t *rectP, int newx, int newy*/);
void FmFootnoteBarGlossaryName(/*char *name, int type*/);
int FmFootnoteBarTypeFromGlossary(/*int refBead*/);
mbchar *FmEvalUserSectPageNum(/*page_t *pageP*/);
int FmSectionForPage(/*page_t *pageP*/);
mbchar *FmEvalUserPageNum(/*page_t *pageP*/);
int FmEvalPageNum(/*page_t *pageP*/);
mbchar *FmEvalUserSectNum(/*int sectBead*/);
int FmEvalSectNum(/*int sectBead*/);
int FmEvalXRef(/*int fieldStart, page_t *pageP, int *numStringsP, unsigned char ***wstrsP, int **faceTypesP*/);
int FmEvalField(/*int fieldStart, line_t *lineP, int *numStringsP, unsigned char ***wstrsP, int **faceTypesP*/);
/* /home/ax3.0/pgms/wp/dsmain.c */
/* /home/ax3.0/pgms/wp/dsupdate.c */
void DsExposeNewPage(/*page_t *dsOldPageP, page_t *dsNewPageP*/);
void DsUpdatePage(/*page_t *oldPageP, page_t *newPageP*/);
void DsRepairBoundaries(/*int x, int y, int width, int height*/);
void DsQuickUpdate(/*line_t *oldLineP, line_t *newLineP*/);
/* /home/ax3.0/pgms/wp/dsscroll.c */
void WpScrollEvent(/*char *msgP, int size*/);
void DsScrollVertical(/*int newy*/);
void DsScrollHorizontal(/*int newx*/);
void DsGotoPage(/*int pageNum*/);
void DsPageUp(/*void*/);
void DsPageDown(/*void*/);
void DsPrevScreen(/*void*/);
void DsNextScreen(/*void*/);
void DsFirstPage(/*void*/);
void DsLastPage(/*void*/);
void DsScrollToQuickFormatLine(/*void*/);
void DsScrollToLocation(/*wp_location *locP*/);
void DsScrollToCursor(/*void*/);
void DsScrollToLocInFormatterLine(/*line_t *lineP, wp_location *locP*/);
/* /home/ax3.0/pgms/wp/wpelfmsg.c */
void WpDebugger(/*void*/);
void WpTalkToElf(/*void*/);
/* /home/ax3.0/pgms/wp/wpmenu.c */
int WpCmdStatus(/*char *name, int timeUID, int toggle_state_too, register int cmd*/);
void WpInactiveKeyError(/*char *cmdBuf*/);
int MECmdStatus(/*char *name, int timeUID, int toggle_state_too, register int cmd*/);
int EQCmdStatus(/*char *name, int timeUID, int toggle_state_too, register int cmd*/);
int DCCmdStatus(/*char *name, int timeUID, int toggle_state_too, register int cmd*/);
/* /home/ax3.0/pgms/wp/dscursor.c */
void DsScrollToPageOfCursor(/*void*/);
void DsMoveCursorToStartDoc(/*void*/);
void DsMoveCursorToEndDoc(/*void*/);
void DsMoveCursorToPageN(/*int n*/);
void DsMoveCursorToTopOfScreen(/*void*/);
void DsMoveCursorToEndOfScreen(/*void*/);
void DsMoveCursorUp1(/*void*/);
void DsMoveCursorDown1(/*void*/);
void DsMoveCursorRight1(/*void*/);
void DsMoveCursorLeft1(/*void*/);
int DsScreenXInFmLineFromLocation(/*line_t *fmLineP, wp_location *locP*/);
void WpLegalizeCursor(/*void*/);
void WpDirectedLegalizeCursor(/*bool shiftBack, bool fldProtect*/);
void DsSetUnaryCursor(/*wp_location *locP*/);
void DsUnDrawUnaryCursor(/*void*/);
void DsUnPaintCursor(/*void*/);
void DsUnPaintObjSelection(/*void*/);
void DsPaintObjSelection(/*void*/);
void DsDrawCursor(/*void*/);
void DsInvertArea(/*int x, int y, int width, int height*/);
void WpStartCellDragging(/*void*/);
void WpMoveCellDragging(/*int x, int y*/);
void WpEndCellDragging(/*int x, int y*/);
void WpSaveBoundForDragging(/*void*/);
void WpMoveDragging(/*int x, int y*/);
void WpEndDragging(/*int x, int y*/);
void WpSelectFrame(/*int bead*/);
void WpNewFrame(/*int x, int y*/);
void WpResizeFrameFromXY(/*int x, int y, int bead*/);
void WpMoveFrameFromXY(/*int x, int y, int bead*/);
/* /home/ax3.0/pgms/wp/wpfileio.c */
/* short WpWriteAsciiFile(void); */
short WpWritePassedSegDoc(/*FILE *fp, ed_bead **array, int nBeads*/);
short WpWriteDoc(/*void*/);
short WpWriteWpDoc(/*wp_global_data *wpP, char *filename*/);
short WpWritePassedDoc(/*ed_bead **array, int nBeads, char *filename*/);
short WpWritePassedEqnDoc(/*ed_bead **array, int nBeads, char *filename*/);
short WpWritePassedDocChangeBars(/*ed_bead **array, int nBeads, char *filename*/);
void WpSetCreationVars(/*char *creator, int revNum*/);
void WpSetUpdateVars(/*void*/);
void WpSetDocWindowAttrVars(/*void*/);
void WpSavePrep(/*void*/);
/* /home/ax3.0/pgms/wp/wpget.c */
int WpGetNextSelection(/*int *currRowP, int *firstColP, wp_range *range*/);
int WpGetNextSelectedCell(/*int *currCellP, int *firstColP, wp_range *range*/);
int WpNumSelections(/*bool rows*/);
int EdFindStyleByName(/*char *name*/);
int EdSeeIfWideStyleExists(/*unsigned char *wstr*/);
int EdSeeIfStyleExists(/*char *name*/);
int EdFindGlossaryByName(/*register char *name*/);
mbchar **WpGlossaryRefsInRange(/*wp_range *range*/);
int EdFindFootnoteByName(/*char *name*/);
int WpParaNumberOfLocation(/*wp_location *loc*/);
void EdGetRangeOfWord(/*wp_location *locP, bool trailingSpace, wp_range *rngP*/);
int WpIsWhitespace(/*int ichar*/);
int EdGetCharAtLocation(/*wp_location *locP*/);
int WpGetCharAtNextLocation(/*register wp_location *locP*/);
int WpGetCharAtPrevLocation(/*register wp_location *locP*/);
int EdGetNthParaBead(/*register int paraNum*/);
wchar *edGetRawText(/*wp_range *rng, bool wantValue, bool evalAsYouGo*/);
wchar *WpGetRawTextLatin(/*wp_range *rng, bool wantValue, bool evalAsYouGo*/);
wchar *edGetRawTextNewliner(/*wp_range *rng, bool wantValue, bool evalAsYouGo, bool paraNewLines*/);
wchar *WpGetRawTextFaceArray(/*wp_range *rng, bool wantValue, bool evalAsYouGo, bool paraNewLines, unsigned char **fArray*/);
int WpFindLastParaInRange(/*wp_range *r*/);
int WpFindFirstBeadOfPara(/*register int bead*/);
int WpFindVerySafeParaBeadOfPara(/*register int bead*/);
int WpFindSafeParaBeadOfPara(/*register int bead*/);
int WpFindParaBeadOfPara(/*register int bead*/);
int WpFindFirstBeadOfSection(/*register int bead*/);
int WpNextVisibleBead(/*register int bead*/);
int WpPrevVisibleBead(/*register int bead*/);
int WpNextBeadInFlow(/*register int bead*/);
int WpPrevBeadInFlow(/*register int bead*/);
int EdTrySearchForFootnoteRefField(/*int bead*/);
int EdTrySearchBackForFootnoteRefField(/*int bead*/);
int EdSearchForFieldEnd(/*register int bead*/);
int EdSearchForFieldSplit(/*register int bead*/);
int EdSearchBackForFieldSplit(/*register int bead*/);
int WpGetFieldSplit(/*register int start*/);
int EdSearchBackForFieldStart(/*register int bead*/);
int WpGetFieldEnd(/*register int start*/);
int EdSearchForBeadType(/*register int bead, register int type*/);
int EdTrySearchForBeadType(/*register int bead, register int type, register int endbead*/);
int EdGenericSearchForBeadType(/*register int bead, register int type, register ed_bead **array, int endbead, register int endclass*/);
int EdTrySearchForVisibleBead(/*register int bead, register int type, register int endbead, register int endclass*/);
int EdTrySearchForFlowBead(/*register int bead, register int type, register int endbead, register int endclass*/);
int EdSearchBackForBeadType(/*register int bead, register int type*/);
int EdTrySearchBackForBeadType(/*register int bead, register int type, register int endbead*/);
int EdGenericSearchBackForBeadType(/*register int bead, register int type, register ed_bead **array, register int endbead, register int endclass*/);
int EdTrySearchBackForVisibleBead(/*register int bead, register int type, register int endbead, register int endclass*/);
int EdTrySearchBackForFlowBead(/*register int bead, register int type, register int endbead, register int endclass*/);
int edBeadEnd(/*int n*/);
int EdTrueBeadSize(/*ed_bead *p*/);
int EdGetSectionOfBead(/*int bead*/);
int EdGetMatchingMarker(/*register int bead*/);
int WpGetMatchingMarkerArray(/*ed_bead **beads, int bead*/);
int EdGetStartMarker(/*register int bead*/);
int edSizeFromClass(/*int class*/);
mbchar *WpResolveCurrentStyleName(/*void*/);
void WpResolveSelectedTextAttrs(/*wp_char_attr_flags *flagsP, wp_char_attrs *attrsP*/);
void WpCacheSelectedTextAttrs(/*void*/);
void WpResolveSelectedFlaggedTextAttrs(/*wp_char_attr_flags *flagsP, wp_char_attr_flags *inheritP, wp_char_attrs *attrsP*/);
int WpMatchParaAttrs(/*register wp_para_attr_flags *flags, register wp_para_attrs *this, register wp_para_attrs *that*/);
int WpTestParaAttrFlags(/*register wp_para_attr_flags *fP, int val*/);
void WpSetParaAttrFlags(/*register wp_para_attr_flags *fP, int val*/);
void WpMatchAllTextAttrs(/*register wp_char_attr_flags *tFlags, register wp_char_attrs *this, register wp_char_attrs *that*/);
int WpMatchTextAttrs(/*register wp_char_attr_flags *tFlags, register wp_char_attrs *this, register wp_char_attrs *that*/);
int WpTestTextAttrFlags(/*wp_char_attr_flags *fP, int val*/);
void WpSetTextAttrFlags(/*wp_char_attr_flags *fP, int val*/);
void WpResolveTextAttrs(/*wp_char_attrs *attrsT, int bead*/);
void WpResolveFlaggedTextAttrs(/*wp_char_attrs *attrsT, int bead, wp_char_attr_flags *inheritP*/);
void WpResolveParaAttrs(/*wp_para_attrs *attrsP, int bead*/);
void WpResolveFlaggedParaAttrs(/*wp_para_attrs *attrsP, int bead, wp_para_attr_flags *inheritP*/);
void WpResolveSelectedFlaggedParaAttrs(/*wp_para_attr_flags *flagsP, wp_para_attr_flags *inheritP, wp_para_attrs *attrsP*/);
void WpMergeAttrs(/*register wp_char_attrs *newAttsP, wp_char_attr_flags mask, register wp_char_attrs *parentP*/);
void WpMergeParaAttrs(/*register wp_para_attrs *newAttsP, wp_para_attr_flags mask, register wp_para_attrs *parentP*/);
void WpSetBorderIndeterminateMask(/*wp_border_attrs *attrs1P, wp_border_attr_flags *mask1P, wp_border_attrs *attrs2P, wp_border_attr_flags *mask2P, wp_border_attr_flags *inmaskP*/);
void WpMergeBorderAttrs(/*wp_border_attrs *newAttrsP, wp_border_attr_flags mask, wp_border_attrs *parentAttrsP*/);
int WpBorderTypeFromCursor(/*void*/);
int WpResolveCurrentBorderAttrs(/*wp_border_attrs *attrsP, wp_border_attr_flags *maskP, wp_border_attr_flags *inmaskP*/);
int WpTotalLineThickness(/*wp_line_attrs *lineP*/);
int WpResolveAllParaTabs(/*wp_tab *tabsP, int bead*/);
int WpResolveParaTabs(/*wp_tab *tabsP, int bead*/);
int edTabResolver(/*wp_tab *tabsP, int bead, bool level, bool pseudo*/);
int WpFindHdrFtrByName(/*char *name*/);
int WpStartOfFlow(/*int bead*/);
int WpHaveGraphicSelected(/*void*/);
mbchar *WpStyleName(/*char *name*/);
mbchar *WpGlossaryName(/*char *name*/);
mbchar *WpColorName(/*char *name*/);
mbchar *WpDocVarName(/*char *name*/);
mbchar *WpTagName(/*char *name*/);
mbchar *EqnHashName(/*char *name*/);
mbchar *WpFontName(/*char *name*/);
int EdParaStyle(/*int bead*/);
int EdNextStyle(/*register int bead*/);
int EdParentStyle(/*int bead*/);
void WpResolveSelectedParaAttrs(/*wp_para_attr_flags *flagsP, wp_para_attrs *attrsP*/);
void WpFreeDocVar(/*data_ptr aP*/);
int WpGetDocVarInt(/*register char *name*/);
int EdFindDocWVar(/*unsigned char *wname*/);
int EdFindDocVar(/*register char *name*/);
int WpGraphicsBeadFromWideName(/*unsigned char *wide_name*/);
int WpObjectBeadFromMbName(/*char *name*/);
int WpObjectBeadFromWideName(/*unsigned char *wide_name*/);
int WpGraphicsBeadFromMbName(/*char *name*/);
int WpTypeBeadFromMbName(/*char *name, int type*/);
void WpGenerateNewObjectName(/*char *name*/);
void WpGetLocalTextAttrs(/*wp_range *range, wp_char_attrs *attrP, wp_char_attr_flags *flagsP*/);
void WpAndParaAttrFlags(/*register wp_para_attr_flags *fP, register wp_para_attr_flags *gP*/);
void WpAndTextAttrFlags(/*register wp_char_attr_flags *fP, register wp_char_attr_flags *gP*/);
int WpBeadClassHasTextAttrs(/*int beadType*/);
int WpBeadClassHasParaAttrs(/*int beadType*/);
int EdFindColorBead(/*char *name*/);
int WpFootnoteBeadRef(/*int bead*/);
void WpClearStyleCache(/*void*/);
void WpClearSectionCache(/*void*/);
void WpClearCaches(/*void*/);
/* /home/ax3.0/pgms/wp/wpput.c */
void WpResetSelelectedTextAttrs(/*void*/);
void WpSelectionToGlossary(/*char *name*/);
void WpCreateGlossary(/*ed_bead **body, char *name*/);
int WpCreateNewObjectBead(/*char *name, int docType, int appType, int dataSize, unsigned char *data*/);
int WpCreateNewGraphicsBead(/*char *name*/);
void WpAddNamedMark(/*char *name, int bead, int offset*/);
void WpDeleteNamedMark(/*char *name*/);
int WpGetNumNamedMarks(/*void*/);
void WpSortNamedMarks(/*void*/);
void WpDefineSeries(/*data_ptr dataP*/);
void WpDeleteSeries(/*char *name*/);
void WpPromoteParas(/*int indentIt*/);
void WpDemoteParas(/*int indentIt*/);
void EdChangeParaLevel(/*wp_range *r, int increment, int indentIt*/);
void WpChangeParaLevelSeries(/*int start, int end*/);
void WpInsertStyle(/*ed_bead *beadP, char *newName, bool noReformat, bool doApply*/);
int wpGetPosForStyle(/*char *name*/);
mbchar *WpGetTopStyleName(/*void*/);
int WpGetTopStyleBead(/*void*/);
void WpDeleteStyle(/*char *name, bool inherit, bool noReformat*/);
void WpApplyStyleToPara(/*int para, int style, ed_bead *oldStyleP, int forceInheritance*/);
void WpNewApplyStyleToPara(/*int para, int style, ed_bead *oldStyleP*/);
void EdSetParaIndents(/*wp_range *rng, int first, int left, int right*/);
short EdInsertTabInRange(/*int pos, int type, wchar decmalChar, wchar *leaderStr, wp_range *rng*/);
void EdDeleteTabInRange(/*int pos, wp_range *rng*/);
void EdMoveTabInRange(/*int oldPos, int newPos, wp_range *rng*/);
short WpSetTabsInRange(/*wp_tab *tabs, int numTabs, wp_range *rng*/);
void WpInheritTabsInRange(/*wp_range *rng*/);
void WpApplyAttrs(/*wp_char_attr_flags mask, wp_char_attrs *attrsP*/);
void WpApplyAttrsAndInherits(/*wp_char_attr_flags mask, wp_char_attr_flags *inheritP, wp_char_attrs *attrsP*/);
void edApplyAttrs(/*register wp_char_attr_flags f, register wp_char_attr_flags *inherit, register wp_char_attrs *aP, wp_range *range*/);
void WpApplyParaAttrs(/*wp_para_attr_flags mask, wp_para_attrs *attrsP*/);
void WpApplyBorderAttrs(/*wp_border_attrs *attrsP, wp_border_attr_flags *maskP*/);
void WpApplySavedAtts(/*void*/);
int WpInsertField(/*char *str*/);
int EdInsertField(/*int pos, char *str*/);
void WpEvalSelectedFields(/*void*/);
void WpEvalAllFields(/*void*/);
void EdExecuteSeries(/*char *name*/);
void EdExecuteSeriesFlow(/*char *name, int startBeadOrig, bool doAll*/);
int EdEvaluateField(/*int bead*/);
short EdInsertParagraph(/*wp_location *passed_loc, wp_location *bestCursor*/);
void edSplitStartAndEndBeads(/*wp_range *passed_range*/);
void WpCopyBeads(/*wp_range *range, bool move, wp_location *loc, wp_range *outRange*/);
void WpInsertText(/*unsigned char *wtext*/);
void WpInsertFrame(/*wp_frame_attrs *frameAttrsP*/);
void WpFormatFrame(/*wp_frame_attrs *frameAttrsP*/);
void WpSetFrameX(/*int newxType, int newxRel, int newx*/);
void WpSetFrameWidth(/*int newwid*/);
int WpInsertColumnBreak(/*void*/);
int WpInsertPageBreak(/*ed_page_break *pageBreakP*/);
int WpInsertSectionBead(/*ed_bead *sectP*/);
void WpInsertTable(/*int numRows, int numColumns, int columnWidth, int heightType, int height, int leftMargin, int rightMargin, int topMargin, int bottomMargin, wp_location *loc*/);
void EdGenerateHdrFtrName(/*char *name*/);
void WpInsertFootnote(/*char *method*/);
void WpVerifyFootnoteBody(/*int fieldStart*/);
int WpGetMatchingFootnoteBody(/*int fieldStart*/);
int WpStrHashVal(/*register char *s*/);
int WpBufHashVal(/*register char *s, register int cnt*/);
int WpSameBufQuick(/*register int *p1, register int *p2, register int size*/);
void EdInitPooledAttrs(/*wp_global_data *wpP*/);
int EdPooledAttrsSize(/*ed_pooled_attrs *poolP*/);
void EdFreePooledAttrs(/*ed_pooled_attrs *poolP*/);
void EdReaderFreePooledAttrs(/*wp_global_data *wpP, ed_pooled_attrs *poolP*/);
void EdTransferPooledAttrsToWP(/*register wp_global_data *wpP*/);
void EdReaderTransferPooledAttrs(/*register wp_global_data *wp1P, register wp_global_data *wp2P*/);
void EdDeleteAllPooledAttrs(/*wp_global_data *wpP*/);
void EdFreeBead(/*ed_bead *beadP*/);
void EdReaderFreeBead(/*wp_global_data *wpP, ed_bead *beadP*/);
void WpVerifySection(/*ed_bead *beadP*/);
void WpSetDocWVarField(/*register unsigned char *wname, register bool field*/);
void WpRenameDocVar(/*char *oldName, char *newName*/);
void WpNewInheritAllAttrs(/*int startBead, int endBead*/);
void WpInheritAllAttrs(/*int startBead, int endBead*/);
void edDeleteBead(/*int bead*/);
void edDeleteSomeBeads(/*int bead, int count*/);
void edDeleteSomeBeadsCommon(/*int bead, int count, bool sideEffects*/);
void edReplaceBead(/*int bead, ed_bead *beadP*/);
void EdInsertBeads(/*int before, int count, int start*/);
void edInsertSomeBeads(/*int before, ed_bead **in_arrP*/);
void edInsertBead(/*register int before, ed_bead *beadP*/);
void wpFieldNeedsEvaluation(/*register int bead*/);
void edSplitBead(/*wp_location *passed_loc*/);
void WpApplyChangedCharAttrs(/*wp_char_attrs *origAttrsP, wp_char_attr_flags *origMaskP, wp_char_attrs *oldAttrsP, wp_char_attr_flags *oldMaskP, wp_char_attrs *newAttrsP, wp_char_attr_flags *newMaskP*/);
void WpApplyChangedParaAttrs(/*wp_para_attrs *origAttrsP, wp_para_attr_flags *origMaskP, wp_para_attrs *oldAttrsP, wp_para_attr_flags *oldMaskP, wp_para_attrs *newAttrsP, wp_para_attr_flags *newMaskP*/);
void WpApplyChangedBorderAttrs(/*wp_border_attrs *origAttrsP, wp_border_attr_flags *origMaskP, wp_border_attrs *oldAttrsP, wp_border_attr_flags *oldMaskP, wp_border_attrs *newAttrsP, wp_border_attr_flags *newMaskP*/);
/* /home/ax3.0/pgms/wp/wptop.c */
void WpGotoPara(/*int paraNum*/);
void WpSelectWholeParas(/*void*/);
void WPInsertWCharAtCursor(/*int ch, bool record*/);
void WpInsertWTextAtCursor(/*unsigned char *wstr, int doing_oriental, bool record*/);
void WpDeleteChar(/*void*/);
void WpEraseBackward(/*void*/);
void WpInsertParagraph(/*void*/);
void WpSelectAll(/*void*/);
int WpParaNumberOfCursor(/*void*/);
void WpSetParaStyleFromName(/*char *name, int forceInheritance*/);
void WpNewSetParaStyleFromName(/*char *name*/);
void WpReapplyStyle(/*int bead, bool forceInherit*/);
void WpDeleteUnusedStyles(/*void*/);
void WpPreserveCurrentSelection(/*char *name*/);
void WpSetMarkers(/*char *name, int number, wp_range *range*/);
void WpRestoreCurrentSelection(/*char *name*/);
void WpSetSelectionMarkers(/*char *name, bool rows, bool includeCellEnd, bool markFootnotes, bool markHdrFtrs*/);
int WpMarkFootnotes(/*wp_range *srange, char *marker, int startCount*/);
int WpMarkHdrFtrs(/*wp_range *srange, char *marker, int startCount*/);
void WpDeleteSelectionMarkers(/*char *name*/);
void WpDeleteMarkers(/*char *name*/);
void WpRangeLimits(/*wp_location *loc, wp_range *range*/);
void WpJoin(/*void*/);
void WpJoinCellParas(/*wp_range *rng*/);
void WpJoinRange(/*wp_range *rng*/);
void WpFreeSessionVar(/*data_ptr aP*/);
void WpSetSessionVarField(/*register char *name, register bool field*/);
char **WpGetSessionVarNames(/*register bool hidden*/);
mbchar **WpGetDocVarNames(/*register bool hidden*/);
typeErr WpVerifyDocumentStructure(/*int fixIt*/);
int WpSmartTextInsert(/*unsigned char *wstr, unsigned char **woutstrP*/);
/* /home/ax3.0/pgms/wp/wpundo.c */
void WpUndoStart(/*char *inText*/);
void WpUndoEnd(/*char *inText*/);
void WpUndoClear(/*void*/);
void WpUndoEnable(/*int switcheroo*/);
void WpUndoActivate(/*bool activate*/);
short WpUndo(/*void*/);
short WpRedo(/*void*/);
short WpUndoStatus(/*int *nUndos, char **undoStr, int *nRedos, char **redoStr, int *nest*/);
void wpUndoDoit(/*undo_value *info, ed_bead **beadArray, int count*/);
void WpUndoInfo(/*int type, char *beadOrText*/);
void WpUndoInfoMultiple(/*int type, char *beadOrText, int count*/);
void wpUndoMenuStrings(/*void*/);
void WpUndoTypingNotify(/*void*/);
/* /home/ax3.0/pgms/wp/wptable.c */
void WpSwapCells(/*int cellBead1, int nCells1, int cellBead2, int nCells2*/);
void WpShiftCells(/*int cellBead1, int nCells1, int cellBead2, bool before*/);
void WpSwapOrShiftCells(/*int cellBead1, int nCells1, int cellBead2, int nCells2, int op*/);
void WpFixLastCellInRow(/*int rowStart, int afterRow*/);
void WpDeleteRow(/*int bead*/);
void WpDeleteCells(/*int bead, int count*/);
void WpDeleteCell(/*int bead*/);
int WpMakeRow(/*wp_range *range, wchar sepChar, int totWidth*/);
void WpInsertRows(/*wp_location *loc, ed_bead **beadArray, int nBeads, int startIns, bool before, wp_range *newRange*/);
void WpSplitRow(/*int cellBead, ed_bead *rowBeadp, bool before*/);
void WpMergeRow(/*int rowBead*/);
void WpRemoveRow(/*int rowBead, char *sepString*/);
void WpInsertCells(/*wp_location *loc, ed_bead **beadArray, int dummy1, int dummy2, bool beforeCell, wp_range *newRange*/);
void WpExpandSelectionToEndRow(/*wp_range *r*/);
void WpExpandSelectionToStartRow(/*wp_range *r*/);
void WpFindNthCellBeads(/*register int bead, register int colNum, register int *startP, register int *endP*/);
void WpExpandTableSelection(/*wp_range *r, int nCols*/);
void WpFindBeadsOfCell(/*register int cellBead, register int *startP, register int *endP*/);
void WpFindBeadsOfRow(/*register int cellBead, register int *startP, register int *endP*/);
void WpFindBeadsOfFirstRow(/*register int cellBead, register int *startP, register int *endP*/);
void WpFindBeadsOfLastRow(/*register int cellBead, register int *startP, register int *endP*/);
void WpFindBeadsOfCol(/*register int cellBead, register int *startP, register int *endP*/);
void WpFindBeadsOfTable(/*register int cellBead, register int *startP, register int *endP*/);
int WpCellOfBead(/*register int bead*/);
int WpRowOfBead(/*register int bead*/);
int WpColNumOfBead(/*int bead*/);
int WpRowNumOfBead(/*int bead*/);
int WpNumCellsInRow(/*int bead*/);
int WpNumSelectedCellsInRow(/*int bead*/);
int WpFirstSelectedColumn(/*void*/);
int WpFindPrevRowInTable(/*int bead*/);
int WpFindNextRowInTable(/*int bead*/);
void WpSetRowIndent(/*int start, int end, int indent*/);
void WpSetTableColWidth(/*int start, int end, int colNum, int width*/);
/* /home/ax3.0/pgms/wp/wpreadf.c */
void WpNewTitle(/*wp_global_data *wpP, char *title, char *icon*/);
short WpReadDoc(/*wp_global_data *wpP*/);
short WpReadDocFile(/*char *name, wp_global_data *wpP*/);
short wpDocReader(/*wp_global_data *wpP, bool justStyle, char *styleName*/);
short wpReadEngine(/*bool justStyle, wp_global_data *wpP, char *pathname*/);
char *WpStrFromTok(/*int type*/);
void WpCheckBeads(/*wp_global_data *wpP*/);
void EdSetSectionDefaults(/*ed_bead *beadP, wp_global_data *wpP*/);
void WpUpdateCurrentHdrFtrNum(/*char *name, wp_global_data *wpP*/);
mbchar *WpReadColor(/*wp_global_data *wpP*/);
void WpSetDefaultColors(/*wp_global_data *wpP*/);
void WpAddColorDefToTable(/*wp_global_data *wpP, char *name, int cyan, int magenta, int yellow, int black*/);
void addColorBeadsFromTable(/*wp_global_data *wpP*/);
void WpCleanDocStruct(/*wp_global_data *wpP*/);
short WpConvertRev2File(/*char *pathname, char *tempName*/);
void WpLoadSaneStyleDefaults(/*register ed_pooled_attrs *poolP*/);
short WpReadAsciiDoc(/*wp_global_data *wpP*/);
void WpMinimumDoc(/*wp_global_data *wpP*/);
/* /home/ax3.0/pgms/wp/wpdump.c */
void WpDumpAll(/*void*/);
void WpDumpArrayAll(/*wp_global_data *wpP*/);
int WpDumpRange(/*int start, int end*/);
int WpDumpArrayRange(/*wp_global_data *wpP, int start, int end*/);
void WpDumpOne(/*int bead*/);
void WpDumpArrayOne(/*wp_global_data *wpP, int bead*/);
void WpDumpFieldStart(/*int bead*/);
void WpDumpFieldStartBead(/*ed_bead *beadP*/);
void WpNullBeads(/*void*/);
void FmDumpPage(/*page_t *pageP*/);
void FmDumpRect(/*rect_t *rectP*/);
void FmDumpRectBasic(/*rect_t *rectP*/);
void FmDumpUrect(/*urect_t *urectP*/);
void FmDumpUrectBasic(/*urect_t *urectP*/);
/* /home/ax3.0/pgms/wp/wpelfget.c */
void WpElfSetFlaggedTextAttrs(/*data_ptr msgP*/);
void WpElfSetFlaggedParaAttrs(/*data_ptr msgP*/);
void WpElfSetSelectedTextAttrs(/*data_ptr msgP*/);
void WpResetParaAttrs(/*wp_para_attr_flags mask*/);
void WpElfSetHdrFtrInfo(/*data_ptr aP*/);
void WpElfSetCurrentPageSetup(/*data_ptr pgObj*/);
void WpElfSetPageSetup(/*data_ptr aP*/);
void WpElfSetCurrentColumnInfo(/*data_ptr aP1, data_ptr aP2*/);
void WpElfSetColumnInfo(/*data_ptr aP1, data_ptr aP2, data_ptr aP3*/);
void WpElfInsertFrame(/*data_ptr frameObj*/);
void WpElfFormatFrame(/*data_ptr frameObj*/);
void WpElfSetCurrentBorderAttrs(/*data_ptr borderObj*/);
void WpBorderAttrsFromElf(/*data_ptr borderObj, wp_border_attrs *borderAttrsP, wp_border_attr_flags *borderMaskP*/);
data_ptr WpElfGetCellAttrs();
void WpElfSetCellAttrs();
data_ptr WpElfGetFormInfo();
void WpElfPrint(/*data_ptr aP*/);
void WpApplyParaAttrsAndInherits(/*wp_para_attr_flags mask, wp_para_attr_flags *inheritP, wp_para_attrs *attrsP*/);
int WpGetFontNames(/*char ***fullListP*/);
/* /home/ax3.0/pgms/wp/dsgetfnp.c */
mbchar *DsGetFontNamePtr(/*char *name*/);
/* /home/ax3.0/pgms/wp/dsfonts.c */
int FmBeadFontHeight(/*int bead, int *ascentP*/);
int FmFontHeight(/*wp_char_attrs *attrsP, int attrDex, int *ascentP*/);
int DsBeadFontHeight(/*int bead, int *ascentP*/);
int DsFontHeight(/*int attrDex, int *ascentP*/);
int WpImgTextHeight(/*wp_char_attrs *wpattsP, int *ascentP*/);
void DsFontLRBearings(/*int attrDex, int *lbearingP, int *rbearingP*/);
int DsBeadStrWidth(/*register unsigned char *wstr, int bead*/);
int FmBeadWStrWidth(/*unsigned char *wstr, int bead*/);
int DsBeadCharsWidth(/*unsigned char *wstr, int bead, int len*/);
int DsWidthOfString(/*unsigned char *wstr, int len, int attrDex*/);
int DsBeadWCharsMilWidth(/*unsigned char *wstr, int bead, int len*/);
int DsMilWidthOfWString(/*unsigned char *wstr, int len, int attrDex*/);
int DsTextOffsetFromXOffset(/*unsigned char *textP, int len, int xoff, int attrDex*/);
int DsImgTextOffsetFromXOffset(/*unsigned char *textP, int len, int xoff, int attrDex*/);
int FmBeadWCharsWidth(/*unsigned char *wstr, int bead, int len*/);
int FmWidthOfString(/*unsigned char *wstr, int len, int attrDex*/);
int WpImgTextWidth(/*wp_char_attrs *wpattsP, unsigned char *wstr, int len*/);
int FmHowManyCharsFitWidth(/*unsigned char *wtext, int len, int width, int attrDex, int *lastWord, int *wordLen*/);
int FmChooseAttrsForBead(/*int bead, wp_char_attrs *attrsP, int *dexP*/);
int FmAttrsForFormatterEvalFields(/*int fieldStart, wp_char_attrs *charAttrsP, int *attrDexP*/);
int WpFindAttsInTable(/*wp_char_attrs *findP*/);
wchar *FmBeadTextFitWidth(/*register unsigned char *wstr, int width, wp_location *loc, int force, int allowHyphenation, register int *charsUsedP, int *hyphenated*/);
int WpFontIsStandardEncoding(/*char *name*/);
/* /home/ax3.0/pgms/wp/fmline.c */
int FmFormatLine(/*line_t *lineP*/);
int FmFormatCellBorders(/*line_t *lineP, int cellEnd, wp_border_attrs *borderAttrsP, wp_border_attr_flags *borderMaskP*/);
/* /home/ax3.0/pgms/wp/fmurect.c */
int FmFormatURect(/*urect_t *urectP*/);
int FmSetURectEnd(/*urect_t *urectP, int status*/);
/* /home/ax3.0/pgms/wp/fmrect.c */
int FmFormatRect(/*rect_t *rectP*/);
int FmSetRectEnd(/*rect_t *rectP, int status*/);
void FmCreateURects(/*rect_t *rectP*/);
void FmGetRowInfo(/*int rowBead, rect_t *rectP, fm_row_info_t *rowInfoP*/);
void FmCleanRowInfo(/*fm_row_info_t *rowInfoP*/);
int WpEffectiveBorder(/*wp_line_attrs *line1P, wp_line_attrs *line2P*/);
void FmAdjustLastLineInFrame(/*rect_t *rectP*/);
/* /home/ax3.0/pgms/wp/fmpage.c */
void WpLockEditResource(/*int wpPid, int lockPid*/);
void WpUnlockEditResource(/*int wpPid, int lockPid*/);
int FmCleanAndFormatPage(/*page_t *pageP*/);
int FmFormatPage(/*page_t *pageP*/);
int FmFrameXposFromAttrs(/*rect_t *frameP, wp_frame_attrs *attrsP, line_t *lineP*/);
int FmFrameYposFromAttrs(/*rect_t *frameP, wp_frame_attrs *attrsP, line_t *lineP*/);
int FmFrameWidthFromAttrs(/*wp_frame_attrs *attrsP, line_t *lineP*/);
int FmFrameHeightFromAttrs(/*wp_frame_attrs *attrsP, line_t *lineP*/);
void FmAddPage(/*void*/);
void FmFreePages(/*int pagenum*/);
void FmAlignFootnotesFromBottom(/*page_t *pageP, int ypos*/);
void FmFormatAllRects(/*page_t *pageP*/);
/* /home/ax3.0/pgms/wp/wpfield.c */
void WpCompileAllFields(/*void*/);
int EdCompileField(/*int bead*/);
void EdCompileWFieldStr(/*int fieldStart, unsigned char *origMethodStr, unsigned char *faceArray*/);
int EdFieldTypeFromWName(/*unsigned char *wstr*/);
int EdFieldTypeFromName(/*char *cmdP*/);
void WpProcessInsetFieldArgs(/*ed_bead *beadP*/);
void EdEvaluateFieldsInRange(/*int startBead, int endBead, int callingField*/);
int EdExecuteField(/*int bead*/);
void WpFieldErrorAttrs(/*wp_char_attr_flags *tFlags, wp_char_attrs *attrs*/);
void WpGetFieldValueAttrs(/*int fieldStart, wp_char_attrs *attrs, wp_char_attr_flags *tFlags*/);
bool WpSetFieldValueAttrs(/*ed_bead **arrP, wp_char_attrs *attrs, wp_char_attr_flags *tFlags*/);
int WpGetFieldTextStyle(/*int fieldStart, wp_char_attrs *attrs, wp_char_attr_flags *tFlags*/);
void WpReplaceFieldValue(/*int fieldStart, ed_bead **arrP*/);
void WpPasteFieldValue(/*int fieldStart, ed_bead **arrP*/);
int EdEvalTimeField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalDateField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalHyperTargetField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalMacroField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalFootnoteBodyField(/*int fieldStart, ed_bead ***arrP*/);
void wpUpdateFootnoteBodyNumber(/*int refStart*/);
int EdEvalGlossaryField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalXrefField(/*int fieldStart, ed_bead ***arrP*/);
int WpEvalPageXRefField(/*int fieldStart, wp_location *startP, wp_location *endP, int *numStringsP, unsigned char ***wstrsP, int **faceTypesP*/);
int EdEvalIndexField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalMakeIndexField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalMakeTocField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalElfStrField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalElfBeadsField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalVarStrField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalIfVarField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalIfMacroField(/*int fieldStart, ed_bead ***arrP*/);
int wpFieldGetMaterial(/*int fieldStart, ed_bead ***arrP, char *methodStr*/);
int EdEvalMergeField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalHyphenField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalPageCountField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalPageNumField(/*int fieldStart, ed_bead ***arrP*/);
int WpEvalFootnoteField(/*int fieldStart, ed_bead ***arrP, wp_char_attrs *attrs, wp_char_attr_flags *tFlags*/);
int EdEvalNumberField(/*int fieldStart, ed_bead ***arrP*/);
void wpNumGen(/*char **bufP, int level, int *numbers, int *numFmt, char seps[10	][(unsigned)30 	+1], int addSep*/);
void WpNumFormat(/*char **bufP, int value, int format*/);
int EdFindSeriesByName(/*register char *name*/);
int wpRomanNumeralString(/*char *text, int value*/);
void wpLetteredListString(/*char *text, int value*/);
void WpUpdateInsetFieldMethod(/*int fieldStart, char *name*/);
void WpLocalizeLinkMethod(/*int fieldStart, char *newName*/);
mbchar *WpMethodForInset(/*int fieldStart, int type, char *name*/);
int EdEvalLocalInsetField(/*int fieldStart, ed_bead ***arrP*/);
int EdEvalLinkFileField(/*int fieldStart, ed_bead ***arrP*/);
int WpBeadInFieldValue(/*register int bead*/);
int WpBeadInFieldMethod(/*register int bead*/);
int WpGetFieldStart(/*register int bead, register int enclose*/);
int WpGetOutermostFieldStart(/*int bead*/);
int WpCursorInMacroField(/*void*/);
int WpMacroField(/*int fieldStart*/);
void WpUnFieldBeadArray(/*ed_bead ***arrP*/);
void WpProtectField(/*int bead, bool protect*/);
int WpBeadInProtectedField(/*int bead*/);
void WpPreserveFieldValueEdits(/*int fieldStart, ed_bead **oldBeads*/);
void WpPreserveSelectedFieldAttrEdits(/*void*/);
void WpPreserveFieldAttrEdits(/*int fieldStart*/);
void WpClearSelectedFieldAttrEdits(/*void*/);
void WpClearFieldAttrEdits(/*int fieldStart*/);
void WpFieldShrinkTable(/*int fieldStart, ed_bead **arrP, bool binStructured*/);
void WpFieldShrinkRow(/*ed_bead **arrP, int *ixP, int width*/);
/* /home/ax3.0/pgms/wp/dsgob.c */
void DsDrawGob(/*gob_t *gobP*/);
void DsGetUnderlineOffsetFromMetrics(/*gob_t *gobP, int *thicknessP, int *u1yoffP, int *u2yoffP, int *syoffP*/);
int DsGobOffsetFromXOffset(/*gob_t *gobP, int xoff*/);
int DsGobCharsWidth(/*gob_t *gobP, int start, int span*/);
void DsFleshGobsIntoSubGobs(/*page_t *pageP*/);
void DsBustUpGob(/*gob_t *gobP*/);
void DsDrawCellShadingBitmap(/*int x, int y, gob_t *gobP, char *name*/);
short WpGetBeadRasterFromGob(/*gob_t *gobP*/);
short WpLoadPictureDataToBead(/*int bitmapBead, int availWidth, int availHeight, bool forceClipMode*/);
short DsGetCellShadingBitmap(/*int cellEnd, char *name, int availWidth, int availHeight*/);
int WpToGrClipMode(/*int wpClipMode*/);
void DsGetBitmap(/*int bead*/);
void DsDrawTransientAnchor(/*void*/);
void DsMoveTransientAnchor(/*int newx, int newy*/);
void DsClearTransientAnchors(/*void*/);
void DsAdjustFrameAnchorDisplay(/*gob_t *gobP*/);
void WpDrawImgScaledText(/*wp_char_attrs *wpattsP, unsigned char *wstr, int xscale, int yscale, int x, int y, fmRectangle *clipRectP*/);
void WpDrawImgText(/*wp_char_attrs *wpattsP, unsigned char *wstr, int x, int y, fmRectangle *clipRectP*/);
void DsGetGobClearArea(/*gob_t *gobP, int *xP, int *yP, int *widthP, int *heightP*/);
void DsSetGobClearArea(/*gob_t *gobP*/);
void DsCheckGobSanity(/*gob_t *gobP*/);
/* /home/ax3.0/pgms/wp/edspell.c */
/* /home/ax3.0/pgms/wp/wpruler.c */
void DsUpdateRuler(/*int mode*/);
void WpDisplayTempStatusMsg(/*char *msg*/);
void WpClearTempStatusMsg(/*void*/);
void WpSetStatusLine(/*char *msg*/);
void RWChanged(/*int mode*/);
void WpDrawEchoCursor(/*register int x, register int win*/);
void DrawRule(/*void*/);
void WpStyleMenuCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void WpRespondToStyle(/*ruler_msg_t *rulerMsgP*/);
void WpRulerButtonPushed(/*AXWidget widget, int pid, XmAnyCallbackStruct *data*/);
void WpRespondToButton(/*ruler_msg_t *rulerMsgP*/);
void DCTabButtonPushed(/*AXWidget widget, int wid, XmAnyCallbackStruct *data*/);
void RWGlyphCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
int wpColumnWidth(/*void*/);
int Find16thPix(/*int xIn*/);
void FixChoices(/*int paraBead*/);
void DCZoomCallback(/*AXWidget widget, int pid, XmAnyCallbackStruct *data*/);
void WpFontCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void WpSizeCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void FixFace(/*char *fontNow*/);
void FixSize(/*int sizeNow*/);
void WpRespondToZoomButton(/*ruler_msg_t *rulerMsgP*/);
void CSetZoomButtonState(/*int new_state*/);
void WpRulerMessage(/*char *msgP, int size*/);
void WpRulerInitialize(/*void*/);
int EqnToolBarHt(/*void*/);
int WpRulerHeight(/*void*/);
void WpGetStatus(/*register wpStatus *wps*/);
void EqnSpaceSymbolCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnFenceCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnFractionCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnSubSupCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnSummationCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnIntegralCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnOverbarCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnLabelArrowCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnCupCapCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
void EqnMatrixCallback(/*AXWidget widget, int wid, XmRowColumnCallbackStruct *data*/);
/* /home/ax3.0/pgms/wp/wpelfbds.c */
void WpBeadFromElfTattrs(/*data_ptr bP, wp_char_attrs *t*/);
void WpBeadFromElfTattrsLocal(/*data_ptr bP, wp_char_attrs *t, wp_char_attr_flags *f*/);
void WpBeadFromElfTflags(/*data_ptr bP, wp_char_attr_flags *t*/);
void WpBeadFromElfPattrs(/*data_ptr bP, wp_para_attrs *p*/);
void WpBeadFromElfPattrsLocal(/*data_ptr bP, wp_para_attrs *p, wp_para_attr_flags *f*/);
void WpBeadFromElfPflags(/*data_ptr bP, wp_para_attr_flags *p*/);
void WpBeadFromElfBattrs(/*data_ptr bP, wp_border_attrs *b*/);
void WpBeadFromElfBattrsLocal(/*data_ptr bP, wp_border_attrs *b, wp_border_attr_flags *f*/);
void WpBeadFromElfBflags(/*data_ptr bP, wp_border_attr_flags *b*/);
void WpPooledAttrsFromElfTabs(/*data_ptr bP, ed_pooled_attrs **poolPP*/);
/* /home/ax3.0/pgms/wp/wpdebug.c */
void WpDeleteErrLines(/*void*/);
void WpGotoNextError(/*void*/);
void WpGotoPrevError(/*void*/);
void WpDebuggerTalk(/*char *msgP*/);
void PrintCallback(/*Widget widget, int pid, XmAnyCallbackStruct *data*/);
void UpCallback(/*Widget widget, int pid, XmAnyCallbackStruct *data*/);
void DownCallback(/*Widget widget, int pid, XmAnyCallbackStruct *data*/);
void WpMarkLeftArea(/*int line*/);
void WhereCallback(/*Widget widget, int pid, XmAnyCallbackStruct *data*/);
void WpPaintButtons(/*void*/);
void WpAddLogStr(/*char *str*/);
void WpBuildLogStr(/*char *str*/);
void WpListBoxDisplay(/*void*/);
short WpToggleDebugMode(/*void*/);
/* /home/ax3.0/pgms/wp/wpsecn.c */
void WpUpdateHdrFtrInheritance(/*int sect*/);
void WpSectionBeingDeleted(/*int sect*/);
void WpUpdateHdrFtrInfo(/*int sect, ed_section *newhf*/);
int EdCreateHdrFtr(/*void*/);
void WpUpdatePageSetupInfo(/*int sect, ed_section *pg*/);
void WpUpdateColumnInfo(/*int sect, ed_section *col*/);
void WpSetCurrentPageNumbering(/*int pageStyle, bool pagePolicy, int pageRestartVal, char *separator, int sectStyle, int sectPolicy, int sectRestartVal*/);
void WpGetCurrentPageNumbering(/*int *pageStyleP, bool *pagePolicyP, int *pageRestartValP, char **separator, int *sectStyleP, int *sectPolicyP, int *sectRestartValP*/);
/* /home/ax3.0/pgms/wp/wpfind.c */
int WpFindNextField(/*int name*/);
int WpFindPrevField(/*int name*/);
int WpFindXrefSource(/*int start, char *mbstr, int dir, bool mainFlow*/);
int WpFindHdrFtrSection(/*int hdrFtrBead*/);
int WpFindFootnoteRef(/*int fnBead*/);
void WpFindParaNumber(/*int num*/);
/* /home/ax3.0/pgms/wp/wputils.c */
/* /home/ax3.0/pgms/wp/wpcall.c */
/* /home/ax3.0/pgms/wp/wprulrx.c */
void WpRulerButtonPress(/*XEvent *eventP, AXWidget wp*/);
void WpRulerButtonMotion(/*XEvent *eventP, AXWidget wp*/);
void WpRulerButtonRelease(/*XEvent *eventP, AXWidget wp*/);
void WpPaintRuler(/*register AXWidget w, XExposeEvent *exP, int resize_event*/);
void WpPaintEqnToolBar(/*AXWidget w, int ht1, int ht2*/);
void XaRRulerGlyphArmed(/*AXWidget w*/);
void XaRSetRulerP(/*AXWidget w*/);
void XaRNewGlyphs(/*AXWidget w, glyphdata_t *infolist, int count*/);
void XaRTruncGlyphList(/*int dex*/);
void XaRFetchGlyph(/*register int dex, register glyphdata_t *infoP*/);
void XaRChangeGlyph(/*int dex, glyphdata_t *infoP*/);
void XaRMoveGlyph(/*int dex, glyphdata_t *infoP*/);
int XaRAddGlyph(/*glyphdata_t *infoP*/);
void XaRClearGlyph(/*int dex*/);
void XaRExposeGlyphs(/*register XExposeEvent *eP*/);
void XaRPaintGlyph(/*int dex*/);
int GlyphIntersects(/*register glyphdata_t *g1, register glyphdata_t *g2*/);
int GlyphUnderPoint(/*register int x, register int y, register AXWidget w*/);
void WpDestroyRulerWidget(/*register AXWidget w*/);
/* /home/ax3.0/pgms/wp/wpselect.c */
void WpButtonDown(/*int x, int y, bool extendSelection*/);
void WpMouseDrag(/*int x, int y, bool extendSelection, bool forAutoScroll*/);
void WpButtonUp(/*int x, int y, bool extendSelection*/);
/* /home/ax3.0/pgms/wp/wpdelete.c */
void WpDelete(/*void*/);
void EdLegalDelete(/*wp_range *range*/);
short EdDelete(/*wp_range *passed_range*/);
void WpProtectLastParaInCell(/*wp_range *range*/);
void WpProtectParaMaterial(/*wp_range *rangeP*/);
void WpProtectCopyPara(/*wp_range *rangeP, int para*/);
void WpProtectEndOfDoc(/*wp_range *rangeP*/);
void WpProtectPilcro(/*wp_range *rangeP, int enderType*/);
void WpUnframePara(/*int bead*/);
/* /home/ax3.0/pgms/wp/wpcopy.c */
void WpClearCopyBuffer(/*int binType*/);
void WpCut(/*void*/);
void WpCopy(/*void*/);
void WpDoCopy(/*int binType*/);
void WpXferOut(/*xfer_data_convert_msg_t *infoP*/);
void EdClearReferenceFlags(/*void*/);
void WpClearDontSaveFlags(/*void*/);
void EdSetCopyReferenceFlags(/*void*/);
void EdFlagReferencesOfRange(/*wp_range *range*/);
void EdDeleteLostMaterial(/*void*/);
void WpExitClipboard(/*void*/);
void WpCopyNamedEntities(/*int type, char **names*/);
short WpDocToAscii(/*char *infile, char *outfile*/);
void WpRegisterSelection(/*int binType*/);
/* /home/ax3.0/pgms/wp/wppaste.c */
/* /home/ax3.0/pgms/wp/dsborder.c */
void DsDrawBorder(/*int scx, int scy, gob_t *gobP*/);
void DsDrawShading(/*int scx, int scy, gob_t *gobP*/);
/* /home/ax3.0/pgms/wp/eqne.c */
char *EqnDefineStyle(/*ed_bead *beadP, char *name, wp_char_attrs *attrs, wp_char_attr_flags *local*/);
char *EqnStyleName(/*char *name*/);
char *EqnGetStyle(/*void*/);
void EqnSetStyle(/*char *styleName, wp_char_attrs *attrs, wp_char_attr_flags *local*/);
int EqnPrevTmplOffset(/*int bead, register int offset*/);
int EqnLegalizeOffset(/*int bead, int offset*/);
int EqnPrevLegalOffset(/*int bead, register int offset*/);
int EqnNextLegalOffset(/*int bead, register int offset*/);
void EqnLegalizeRange(/*wp_range *range*/);
void EqnDestroyBead(/*int bead*/);
void EqnDestroyEquation(/*register eqn_t *eqn*/);
void EqnInsertText(/*register unsigned char *wstr*/);
void EqnInsertTemplate(/*int type, int subtype, int p1, int p2, int p3, int p4, int p5, int p6*/);
int EqnGetPileAlignType(/*void*/);
int EqnSetPileAlignType(/*int align*/);
void EqnGetRangeOfEquation(/*wp_range *range*/);
int EqnDeleteToks(/*wp_range *passed_range, eqn_tok **deleted_toks*/);
void EqnResolveSelectedTextAttrs(/*wp_char_attr_flags *flagsP, wp_char_attrs *attrsP*/);
void EqnApplyAttrs(/*wp_char_attr_flags flags, wp_char_attrs *attrsP*/);
void EqnApplyNudge(/*int xnudge, int ynudge*/);
void EqnSetNudge(/*int xnudge, int ynudge*/);
int EqnCopy(/*int binType, wp_range *range*/);
int EqnPaste(/*int binType, wp_location *loc*/);
/* /home/ax3.0/pgms/wp/eqnd.c */
void EqnDrawGob(/*int x, int y, gob_t *gobP*/);
/* /home/ax3.0/pgms/wp/eqnf.c */
void EqnTossGobs(/*int bead*/);
void EqnTossAllGobs(/*void*/);
void EqnFormatBead(/*register int bead*/);
int EqnPileHeight(/*register eqn_t *eqn*/);
int EqnPileWidth(/*register eqn_t *eqn*/);
int EqnPileYCenter(/*register eqn_t *eqn*/);
int EqnPileNumGobs(/*register eqn_t *eqn*/);
int EqnPileBaseline(/*register eqn_t *eqn*/);
int eqnVertSlashWidth(/*int height*/);
int eqnSlashWidth(/*int up_ht, int dn_ht, int *up_wd, int *dn_wd*/);
/* /home/ax3.0/pgms/wp/wpmatch.c */
int EdTextSearch(/*char *str, int matchCase, int forward, wp_flagged_para_attrs *paraAtts, wp_flagged_char_attrs *textAtts*/);
int edFindNextOrPrevFootNoteOrHdrFtr(/*int *thisBead, int forward, wp_range *rangeP, ed_section **currentSectionBead*/);
int EdPatternSearch(/*register ed_patternArray *patterns, wp_range *searchRange, int forward, wp_flagged_para_attrs *paraAtts, wp_flagged_char_attrs *textAtts*/);
/* int edMatchPattern(ed_pattern *pat, wp_range *range, wp_flagged_para_attrs *paraAtts, wp_flagged_char_attrs *textAtts); */
int edMatchAtts(/*wp_flagged_para_attrs *paraAtts, wp_flagged_char_attrs *textAtts, int startBead, int endBead*/);
int EdWordCharAtLoc(/*wp_location *loc*/);
int WpFindAnyWord(/*int forward*/);
void EdTextReplace(/*char *mbstr, int preserveCase*/);
void EdCasenessOfText(/*wp_range *rangeP, int *allCaps, int *initialCaps, int *allLower, int *firstWordCap*/);
void WpShiftCase(/*wp_range *passed_range*/);
int WpCasenessOfTwoLetters(/*wp_range *rangeP, bool *firstCap, bool *secondCap*/);
int WpReplaceAll(/*char *str, int matchCase, wp_flagged_para_attrs *paraAtts, wp_flagged_char_attrs *textAtts, char *rstr, int preserveCase*/);
/* /home/ax3.0/pgms/wp/wpinset.c */
short WpOpenInset(/*int bead*/);
short WpCallAppMacro(/*int fieldStart*/);
short WpOpenWP(/*char *name*/);
short WpOpenEQN(/*char *name*/);
short WpOpenME(/*char *name*/);
short WpOpenGE(/*char *name*/);
short WpOpenSS(/*char *name*/);
short WpPlayAudio(/*char *name*/);
short WpOpenNamedLocalObject(/*char *name*/);
short WpOpenLocalObject(/*int objBead, int fieldStart*/);
short WpOpenLocalWords(/*int objBead*/);
short WpOpenLocalGraphics(/*int objBead*/);
short WpOpenLocalSpreadsheet(/*int objBead*/);
short WpOpenLocalMacro(/*int objBead*/);
short WpOpenLocalEquation(/*int objBead*/);
short WpPlayLocalAudio(/*int objBead*/);
void WpTitleForObjectAppWindow(/*char *name, char *winTitle, char *iconTitle*/);
void WpUpdateInsetFromMarkName(/*char *markName*/);
void WpUpdateInsetFromFilename(/*char *filename*/);
void WpUpdateAllLinks(/*void*/);
void WpObjectChanged(/*char *name*/);
short WpReadFileToBuf(/*char *name, int *sizeP, unsigned char **dataP*/);
short WpWriteGEBeadAsDoc(/*ed_graphics *geBeadP, char *filename*/);
int WpInsetOfBead(/*int bead*/);
short WpConvertSSToBeads(/*char *ssFile, char *ssBeadFile, char *viewname*/);
void WpDocInfoFromFile(/*char *name, int *docTypeP, int *appTypeP, char *cvtMacro, char *appMacro*/);
void WpDocInfoFromObject(/*char *name, int *docTypeP, int *appTypeP, char *cvtMacro, char *appMacro*/);
void WpGetCvtCmd(/*int bead, char *cvtCmd*/);
short WpNativeFileFromLink(/*int fieldStart, char *trueName, char *axFile*/);
typeErr WpGetDocLinksInfo(/*doc_links_info_t *docLinksP*/);
short WpChangeDocLinksInfo(/*doc_links_info_t *docLinksP*/);
short WpLocalizeDocLinks(/*doc_links_info_t *docLinksP*/);
void WpElfSetLinkFileList(/*data_ptr aP*/);
void WpElfChangeLinkInfo(/*data_ptr aP1, data_ptr aP2*/);
void WpElfLocalizeInset(/*data_ptr aP1, data_ptr aP2, data_ptr aP3*/);
short WpElfLocalizeAllInsets(/*data_ptr aP1, data_ptr aP2*/);
short WpLocalizeLink(/*int bead, char *name, bool localizeInOrigFormat, char *newAppMacro*/);
short WpWriteObjectBeadAsDoc(/*ed_object *objBeadP, char *name*/);
short WpWriteObjectBeadToFile(/*ed_object *objBeadP, char *filename*/);
int WpBeadsFromWPObject(/*int bead, ed_bead ***arrP*/);
int WpBeadsFromWPDoc(/*char *wpFile, ed_bead ***arrP, bool lastSection*/);
int WpBeadsFromMEObject(/*int bead, ed_bead ***arrP*/);
int WpBeadsFromMEDoc(/*char *meFile, ed_bead ***arrP*/);
int WpBeadsFromEQNObject(/*int bead, ed_bead ***arrP*/);
int WpBeadsFromEQNDoc(/*char *eqnFile, ed_bead ***arrP*/);
int WpBeadsForAudioField(/*int fieldStart, ed_bead ***arrP*/);
int WpBeadsFromGEObject(/*int bead, int fieldStart, ed_bead ***arrP*/);
int WpBeadsFromGEDoc(/*char *geFile, int fieldStart, bool needGraphicsBead, ed_bead ***arrP*/);
int WpBeadsFromSSObject(/*int bead, char *viewname, ed_bead ***arrP*/);
int WpBeadsFromSSDoc(/*char *ssFile, char *viewname, ed_bead ***arrP*/);
short WpInsertLocalGraphics(/*char *appMacro, bool inFrame*/);
short WpInsertLocalSpreadsheet(/*char *appMacro, bool inFrame*/);
short WpInsertLocalQuery(/*char *appMacro, bool inFrame*/);
short WpInsertLocalMacro(/*char *appMacro*/);
short WpInsertLocalEquation(/*char *appMacro, bool inFrame*/);
short WpInsertLocalAudio(/*char *filename, char *comment, bool suppressIcon, char *icon, char *appMacro*/);
mbchar *WpSfxFromAppType(/*int appType*/);
mbchar *WpSfxFromDocType(/*int docType*/);
mbchar *WpAppNameFromType(/*int appType*/);
int WpAppTypeFromName(/*char *appTypeName*/);
short WpDeleteObject(/*char *name*/);
short WpSetObjectTempFile(/*char *name, char *filename*/);
short WpSaveObject(/*char *name, char *filename*/);
short WpConvertObject(/*char *name*/);
void WpElfObjectName(/*data_ptr aP1, data_ptr aP2*/);
void WpElfObjectFilterMacro(/*data_ptr aP1, data_ptr aP2*/);
void WpElfObjectLaunchMacro(/*data_ptr aP1, data_ptr aP2*/);
void WpElfObjectAllowUnreferenced(/*data_ptr aP1, data_ptr aP2*/);
void WpElfAddObject(/*data_ptr aP1, data_ptr aP2*/);
int WpNativeDocTypeFromAppType(/*int appType*/);
int WpAppTypeFromDocType(/*int docType*/);
void WpInsertObject(/*int docType, unsigned char *objectData, int size*/);
void WpPreserveFieldBitmapAttrs(/*int fieldStart, ed_bead ***arrP, bool binStructured*/);
mbchar *WpGetParentNameForChild(/*void*/);
mbchar *WpGetParentDocNameForChild(/*void*/);
mbchar *WpGetPathForRelativeLink(/*void*/);
void WpSetDocAsChildObject(/*char *name*/);
void WpSetDocAsChildLink(/*char *name*/);
void WpSetParentName(/*char *name*/);
void WpSetParentDocName(/*char *name*/);
short WpOpenLocalQuery(/*int objBead*/);
short WpOpenQuery(/*char *name*/);
/* /home/ax3.0/pgms/wp/dsregion.c */
void DsCreateRegions(/*page_t *pageP*/);
void DsGetDefaultRegionRowCols(/*page_t *pageP, int *numRowsP, int *numColsP*/);
void DsCleanRegionsAndBorders(/*page_t *pageP*/);
void DsRegionRowColFromPos(/*int xpos, int ypos, int *rowNumP, int *colNumP*/);
void DsCheckRegionListSize(/*page_t *pageP, int rowNum, int colNum*/);
void DsAddGobToRegions(/*register gob_t *gobP*/);
void DsCreateBorders(/*page_t *pageP*/);
void DsChangeBorder(/*page_t *pageP, dsBorder *bP, fmRectangle *rP*/);
void DsCleanBorders(/*page_t *pageP*/);
void DsAddRectBordersToPage(/*page_t *pageP, int xpos, int ypos, int width, int height*/);
void DsAddBorderToBorderList(/*register page_t *pageP, register dsBorder *bP*/);
void DsAddBorderToRegions(/*register page_t *pageP, register dsBorder *bP*/);
void DsBorderToRectangle(/*dsBorder *bP, fmRectangle *brP*/);
/* /home/ax3.0/pgms/wp/wpcolors.c */
void EdPutColor(/*wp_color_t *colorP*/);
void WpConvertColorTableToBeads(/*void*/);
void WpAddColor(/*wp_color_t *colorP*/);
void WpDeleteColor(/*char *name*/);
void WpModifyColor(/*char *name, wp_color_t *colorP*/);
int WpBrightnessFromColor(/*wp_color_t *colorP*/);
void WpColorFromElfColor(/*data_ptr colorObj, wp_color_t *colorP*/);
void WpElfSetColorTable(/*data_ptr colorTableObj*/);
void WpElfModifyColor(/*data_ptr colorName, data_ptr colorObj*/);
void WpElfAddColor(/*data_ptr colorObj*/);
void WpElfDeleteColor(/*data_ptr colorName*/);
/* /home/ax3.0/pgms/wp/wporient.c */
/* /home/ax3.0/pgms/wp/wpge.c */
int writeWpAsGraphicsFile(/*char *outFile*/);
int WpGetSizeOfGr(/*char *buf, int len, int *x1, int *y1, int *x2, int *y2*/);
void WpScaleInsetSize(/*int *widP, int *hytP, wp_graphics_info_for_ge *infoP*/);

#endif /* WPFUNC_INCL */
